import { style as _style2 } from 'antd/lib/button/style';
import _default2 from 'antd/lib/button';
import { style as _style } from 'antd/lib/form/style';
import _default from 'antd/lib/form';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp2;

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import { createRef } from '../../utils/reactPolyfill';
import PropTypes from 'prop-types';

import { DemonButton } from 'react-form-mobx';

var Item = _default.Item;
var Reset = (_temp2 = _class = function (_Component) {
	_inherits(Reset, _Component);

	function Reset() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, Reset);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Reset.__proto__ || Object.getPrototypeOf(Reset)).call.apply(_ref, [this].concat(args))), _this), _this.demonButtonRef = createRef(), _this.handleClick = function (ev) {
			ev.preventDefault();
			var demon = _this.demonButtonRef.current;
			demon.clear();
			demon.submit();
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(Reset, [{
		key: 'render',
		value: function render() {
			var _this2 = this;

			var _props = this.props,
			    wrapperStyle = _props.wrapperStyle,
			    props = _objectWithoutProperties(_props, ['wrapperStyle']);

			return React.createElement(
				DemonButton,
				{ forwardedProps: props, ref: this.demonButtonRef },
				function (forwardedProps) {
					return React.createElement(
						Item,
						{ style: wrapperStyle },
						React.createElement(_default2, _extends({}, forwardedProps, { onClick: _this2.handleClick }))
					);
				}
			);
		}
	}]);

	return Reset;
}(Component), _class.propTypes = {
	wrapperStyle: PropTypes.object
}, _temp2);
export { Reset as default };