import { style as _style7 } from 'antd/lib/checkbox/style';
import _default7 from 'antd/lib/checkbox';
import { style as _style6 } from 'antd/lib/time-picker/style';
import _default6 from 'antd/lib/time-picker';
import { style as _style5 } from 'antd/lib/select/style';
import _default5 from 'antd/lib/select';
import { style as _style4 } from 'antd/lib/slider/style';
import _default4 from 'antd/lib/slider';
import { style as _style3 } from 'antd/lib/input-number/style';
import _default3 from 'antd/lib/input-number';
import { style as _style2 } from 'antd/lib/input/style';
import _default2 from 'antd/lib/input';
import { style as _style } from 'antd/lib/date-picker/style';
import _default from 'antd/lib/date-picker';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import createComponent from './createComponent';
var AntdRangePicker = _default.RangePicker;
import _Form from './Form';
export { _Form as Form };
import _Submit from './Submit';
export { _Submit as Submit };
import _Reset from './Reset';
export { _Reset as Reset };
import _Clear from './Clear';
export { _Clear as Clear };
import _Upload from './Upload';
export { _Upload as Upload };
import _DateTimePicker from './DateTimePicker';
export { _DateTimePicker as DateTimePicker };
import _Editor from './Editor';
export { _Editor as Editor };


export var Input = createComponent(_default2, {
	displayName: 'Input'
});

export var InputNumber = createComponent(_default3, {
	displayName: 'InputNumber',
	getValueFromChangeEvent: function getValueFromChangeEvent(value) {
		return value;
	}
});

export var TextArea = createComponent(_default2.TextArea, {
	displayName: 'TextArea'
});

export var Slider = createComponent(_default4, {
	displayName: 'Slider',
	getValueFromChangeEvent: function getValueFromChangeEvent(value) {
		return value;
	}
});

export var Select = createComponent(_default5, {
	displayName: 'Select',
	getValueFromChangeEvent: function getValueFromChangeEvent(value) {
		return value;
	}
});

var DatePicker = createComponent(_default, {
	displayName: 'DatePicker',
	defaultProps: {
		defaultValue: undefined
	},
	mapForwardedProps: function mapForwardedProps(props) {
		var dateFormat = props.dateFormat,
		    other = _objectWithoutProperties(props, ['dateFormat']);

		return _extends({}, other, { format: dateFormat });
	},
	getValueFromChangeEvent: function getValueFromChangeEvent(value) {
		return value;
	}
});

export { DatePicker };
var TimePicker = createComponent(_default6, {
	displayName: 'TimePicker',
	defaultProps: {
		defaultValue: undefined
	},
	mapForwardedProps: function mapForwardedProps(props) {
		var dateFormat = props.dateFormat,
		    other = _objectWithoutProperties(props, ['dateFormat']);

		return _extends({}, other, { format: dateFormat });
	},
	getValueFromChangeEvent: function getValueFromChangeEvent(value) {
		return value;
	}
});

export { TimePicker };
export var RangePicker = createComponent(AntdRangePicker, {
	displayName: 'RangePicker',
	defaultProps: {
		defaultValue: undefined
	},
	getValueFromChangeEvent: function getValueFromChangeEvent(value) {
		return value;
	}
});

export var Checkbox = createComponent(_default7, {
	displayName: 'Checkbox',
	checkable: true,
	getCheckedFromChangeEvent: function getCheckedFromChangeEvent(_ref) {
		var target = _ref.target;

		return target.checked;
	}
});