import { style as _style } from 'antd/lib/spin/style';
import _default from 'antd/lib/spin';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import styles from './styles';
import React from 'react';
import PropTypes from '../../utils/PropTypes';


var SpinBox = function SpinBox(_ref) {
	var style = _ref.style,
	    Comp = _ref.component,
	    other = _objectWithoutProperties(_ref, ['style', 'component']);

	return React.createElement(
		Comp,
		{ style: _extends({}, styles.container, style) },
		React.createElement(_default, other)
	);
};

SpinBox.propTypes = {
	style: PropTypes.object,
	component: PropTypes.component
};

SpinBox.defaultProps = {
	component: 'div'
};

export default SpinBox;