var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _class2, _temp;

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { observer } from 'mobx-react';

var TableHeadCell = observer(_class = (_temp = _class2 = function (_Component) {
	_inherits(TableHeadCell, _Component);

	function TableHeadCell() {
		_classCallCheck(this, TableHeadCell);

		return _possibleConstructorReturn(this, (TableHeadCell.__proto__ || Object.getPrototypeOf(TableHeadCell)).apply(this, arguments));
	}

	_createClass(TableHeadCell, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    children = _props.children,
			    renderCell = _props.renderCell,
			    other = _objectWithoutProperties(_props, ['children', 'renderCell']);

			if (!renderCell) return React.createElement(
				'th',
				other,
				children
			);
			return renderCell({}, function (render) {
				return render ? React.createElement(
					'th',
					other,
					children
				) : React.createElement('td', null);
			});
		}
	}]);

	return TableHeadCell;
}(Component), _class2.propTypes = {
	children: PropTypes.node,
	renderCell: PropTypes.func
}, _temp)) || _class;

export { TableHeadCell as default };