var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _class, _class2, _temp;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import { Component, Children } from 'react';
import PropTypes from 'prop-types';
import withStore from '../../hocs/withStore';

var QueryItem = (_dec = withStore(), _dec(_class = (_temp = _class2 = function (_Component) {
	_inherits(QueryItem, _Component);

	function QueryItem() {
		_classCallCheck(this, QueryItem);

		return _possibleConstructorReturn(this, (QueryItem.__proto__ || Object.getPrototypeOf(QueryItem)).apply(this, arguments));
	}

	_createClass(QueryItem, [{
		key: 'componentDidMount',
		value: function componentDidMount() {
			this.props.store.increaseQueryFieldsCount();
		}
	}, {
		key: 'componentWillUnmount',
		value: function componentWillUnmount() {
			this.props.store.decreaseQueryFieldsCount();
		}
	}, {
		key: 'render',
		value: function render() {
			return Children.only(this.props.children);
		}
	}]);

	return QueryItem;
}(Component), _class2.propTypes = {
	children: PropTypes.node.isRequired,
	store: PropTypes.object.isRequired
}, _temp)) || _class);
export { QueryItem as default };