var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import AppConfigContext from '../../contexts/AppConfig';
import TableStoreInternal from './TableStoreInternal';

export default function TableStoreProvider(props) {
	return React.createElement(
		AppConfigContext.Consumer,
		null,
		function (appConfig) {
			return React.createElement(TableStoreInternal, _extends({}, props, { appConfig: appConfig }));
		}
	);
}