import { style as _style } from 'antd/lib/locale-provider/style';
import _default from 'antd/lib/locale-provider';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _class2, _temp;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import { polyfill } from 'react-lifecycles-compat';
import PropTypes from 'prop-types';
import { getAppConfig, configShape } from './utils';
import moment from 'moment';
import LocaleStores from '../../stores/LocaleStores';
import AdminContext from '../AdminContext';

import 'moment/locale/zh-cn';

// TODO: should be able to custom
moment.locale('zh-cn');

var Admin = polyfill(_class = (_temp = _class2 = function (_Component) {
	_inherits(Admin, _Component);

	_createClass(Admin, null, [{
		key: 'getDerivedStateFromProps',
		value: function getDerivedStateFromProps(nextProps) {
			return { config: getAppConfig(nextProps) };
		}
	}]);

	function Admin(props) {
		_classCallCheck(this, Admin);

		var _this = _possibleConstructorReturn(this, (Admin.__proto__ || Object.getPrototypeOf(Admin)).call(this, props));

		var config = getAppConfig(props);
		var locale = config.locale;

		if (locale) LocaleStores.setLocale(locale);
		_this.state = { config: config };
		return _this;
	}

	_createClass(Admin, [{
		key: '_renderContext',
		value: function _renderContext() {
			return React.createElement(AdminContext, { appConfig: this.state.config });
		}
	}, {
		key: 'render',
		value: function render() {
			var locale = this.state.config.locale;

			if (locale) {
				return React.createElement(
					_default,
					{ locale: locale.antd },
					this._renderContext()
				);
			} else {
				return this._renderContext();
			}
		}
	}]);

	return Admin;
}(Component), _class2.propTypes = _extends({}, configShape, {
	config: PropTypes.shape(configShape),
	children: PropTypes.node
}), _temp)) || _class;

export { Admin as default };