var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import { flexCenter } from '../../utils/Styles';

var margin = 16;

export default {
	container: {
		minWidth: 1024,
		minHeight: '100vh'
	},
	spinContainer: {
		minHeight: '100vh',
		display: 'block'
	},
	header: {
		background: '#fff',
		padding: 0,
		display: 'flex',
		justifyContent: 'space-between'
	},
	headerLeft: _extends({}, flexCenter, {
		marginLeft: margin
	}),
	headerRight: _extends({}, flexCenter, {
		marginRight: margin,
		paddingRight: margin
	}),
	content: {
		margin: margin
	},
	breadcrumb: {
		// marginBottom: margin,
	},
	contentBody: {
		padding: 24,
		background: '#fff',
		minHeight: 360
	},
	footer: {
		textAlign: 'center'
	}
};