import React from 'react';
import localize from '../../hocs/localize';
import PropTypes from 'prop-types';
import { observer } from 'mobx-react';

var ActionLabel = function ActionLabel(_ref) {
	var localeStore = _ref.localeStore;

	return React.createElement(
		'span',
		null,
		localeStore.data.label
	);
};

ActionLabel.displayName = 'ActionLabel';

ActionLabel.propTypes = {
	localeStore: PropTypes.object.isRequired
};

export default localize('ActionsField')(observer(ActionLabel));