var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _class2, _temp;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from '../../utils/PropTypes';
import field from '../../hocs/field';
import ActionInternalView from './ActionInternalView';
import ActionLabel from './ActionLabel';

var ActionsField = field(_class = (_temp = _class2 = function (_Component) {
	_inherits(ActionsField, _Component);

	function ActionsField() {
		_classCallCheck(this, ActionsField);

		return _possibleConstructorReturn(this, (ActionsField.__proto__ || Object.getPrototypeOf(ActionsField)).apply(this, arguments));
	}

	_createClass(ActionsField, [{
		key: 'render',
		value: function render() {
			return React.createElement('noscript', null);
		}
	}], [{
		key: 'renderTable',
		value: function renderTable(props, _ref) {
			var record = _ref.record;

			return React.createElement(ActionInternalView, _extends({}, props, { tableRowKey: record.key }));
		}
	}]);

	return ActionsField;
}(Component), _class2.propTypes = {
	component: PropTypes.component
}, _class2.defaultProps = {
	component: 'div',
	inTable: true,
	label: function label() {
		return React.createElement(ActionLabel, null);
	}
}, _temp)) || _class;

export { ActionsField as default };