import { style as _style3 } from 'antd/lib/button/style';
import _default3 from 'antd/lib/button';
import { style as _style2 } from 'antd/lib/icon/style';
import _default2 from 'antd/lib/icon';
import { style as _style } from 'antd/lib/form/style';
import _default from 'antd/lib/form';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _class, _class2, _temp2;

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import styles from './styles';
import React, { Component, Children, cloneElement } from 'react';
import PropTypes from '../../utils/PropTypes';
import field from '../../hocs/field';

import { ArrayOf as FormArrayOf } from 'react-form-mobx';
import localize from '../../hocs/localize';

var Item = _default.Item;
var ArrayOf = (_dec = localize('ArrayOf'), field(_class = _dec(_class = (_temp2 = _class2 = function (_Component) {
	_inherits(ArrayOf, _Component);

	function ArrayOf() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, ArrayOf);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = ArrayOf.__proto__ || Object.getPrototypeOf(ArrayOf)).call.apply(_ref, [this].concat(args))), _this), _this._createRemoveHandler = function (remove, name) {
			return function (ev) {
				ev.preventDefault();
				remove(name);
			};
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(ArrayOf, [{
		key: 'render',
		value: function render() {
			var _this2 = this;

			var _props = this.props,
			    children = _props.children,
			    name = _props.name,
			    addButtonLabel = _props.addButtonLabel,
			    wrapperStyle = _props.wrapperStyle,
			    localeStore = _props.localeStore,
			    other = _objectWithoutProperties(_props, ['children', 'name', 'addButtonLabel', 'wrapperStyle', 'localeStore']);

			var child = Children.only(children);

			return React.createElement(
				FormArrayOf,
				{ name: name },
				function (names, _ref2) {
					var push = _ref2.push,
					    remove = _ref2.remove;
					return React.createElement(
						Item,
						_extends({}, other, { style: wrapperStyle }),
						names.map(function (name) {
							return React.createElement(
								'div',
								{ style: styles.item, key: name },
								cloneElement(child, { name: name }),
								React.createElement(
									'a',
									{ href: '#', onClick: _this2._createRemoveHandler(remove, name) },
									React.createElement(_default2, { style: styles.icon, type: 'minus-circle-o' })
								)
							);
						}),
						React.createElement(
							_default3,
							{ type: 'dashed', onClick: push, style: styles.button },
							React.createElement(_default2, { type: 'plus' }),
							' ',
							localeStore.localizeProp(addButtonLabel, 'addButtonLabel')
						)
					);
				}
			);
		}
	}], [{
		key: 'renderTable',
		value: function renderTable(props, _ref3) {
			var _ref3$text = _ref3.text,
			    text = _ref3$text === undefined ? [] : _ref3$text;

			return text.join(',');
		}
	}]);

	return ArrayOf;
}(Component), _class2.propTypes = {
	name: PropTypes.string,
	children: PropTypes.node,
	wrapperStyle: PropTypes.object,
	addButtonLabel: PropTypes.node,
	localeStore: PropTypes.object.isRequired
}, _temp2)) || _class) || _class);
export { ArrayOf as default };