import React from 'react';
import PropTypes from '../../utils/PropTypes';

export default function ErrorMessagesSchema() {
	return React.createElement('noscript', null);
}

ErrorMessagesSchema.propTypes = {
	defaults: PropTypes.string,
	statusMap: PropTypes.object,
	validResponse: PropTypes.func,
	validResponseData: PropTypes.func,
	getMessage: PropTypes.func
};

ErrorMessagesSchema.configuration = {
	name: 'errorMessages',
	propType: PropTypes.object,
	pipe: function pipe(props, messages) {
		return Object.assign(messages, props);
	}
};