import routerStore from '../stores/routerStore';
import { omit } from './fp';

export default function clearSortedInfo(appConfig) {
	var _appConfig$api = appConfig.api,
	    sortKey = _appConfig$api.sortKey,
	    orderKey = _appConfig$api.orderKey;
	var location = routerStore.location;

	location.query = omit(location.query, [sortKey, orderKey]);
}