var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/* eslint react/prop-types: 0 */

import React, { isValidElement } from 'react';

var plainObjectToJsx = function plainObjectToJsx(json) {
	if (isValidElement(json)) {
		return json;
	} else if (Array.isArray(json)) {
		return json.map(function (data, index) {
			return plainObjectToJsx(_extends({
				key: index
			}, data));
		});
	}

	var _json$component = json.component,
	    Comp = _json$component === undefined ? 'div' : _json$component,
	    props = _objectWithoutProperties(json, ['component']);

	if (props.children) {
		props.children = plainObjectToJsx(props.children);
	}
	return React.createElement(Comp, props);
};

export default plainObjectToJsx;