'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _class2, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _PropTypes = require('../../utils/PropTypes');

var _PropTypes2 = _interopRequireDefault(_PropTypes);

var _Editor = require('../../contexts/Editor');

var _Editor2 = _interopRequireDefault(_Editor);

var _withActions = require('../../hocs/withActions');

var _withActions2 = _interopRequireDefault(_withActions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var EditorButton = (0, _withActions2.default)(_class = (_temp2 = _class2 = function (_Component) {
	_inherits(EditorButton, _Component);

	function EditorButton() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, EditorButton);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = EditorButton.__proto__ || Object.getPrototypeOf(EditorButton)).call.apply(_ref, [this].concat(args))), _this), _this._handleClick = function (ev) {
			var _this$props = _this.props,
			    onClick = _this$props.onClick,
			    actions = _this$props.actions;

			if (onClick) {
				onClick(ev, actions, _this.editorContext);
			}
		}, _this._renderChildren = function (editorContext) {
			_this.editorContext = editorContext;
			var children = _this.props.children;

			return _react2.default.createElement(
				'button',
				{ onClick: _this._handleClick },
				children
			);
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(EditorButton, [{
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				_Editor2.default.Consumer,
				null,
				this._renderChildren
			);
		}
	}]);

	return EditorButton;
}(_react.Component), _class2.propTypes = {
	children: _PropTypes2.default.node,
	onClick: _PropTypes2.default.func,
	actions: _PropTypes2.default.object
}, _temp2)) || _class;

exports.default = EditorButton;