'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp, _initialiseProps;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _tinyInvariant = require('tiny-invariant');

var _tinyInvariant2 = _interopRequireDefault(_tinyInvariant);

var _naviStore = require('../../stores/naviStore');

var _naviStore2 = _interopRequireDefault(_naviStore);

var _PageContext = require('../../contexts/PageContext');

var _PageContext2 = _interopRequireDefault(_PageContext);

var _AppConfig = require('../../contexts/AppConfig');

var _AppConfig2 = _interopRequireDefault(_AppConfig);

var _reactDocumentTitle = require('react-document-title');

var _reactDocumentTitle2 = _interopRequireDefault(_reactDocumentTitle);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var NaviEnhancer = (_temp = _class = function (_PureComponent) {
	_inherits(NaviEnhancer, _PureComponent);

	function NaviEnhancer(props) {
		_classCallCheck(this, NaviEnhancer);

		var _this = _possibleConstructorReturn(this, (NaviEnhancer.__proto__ || Object.getPrototypeOf(NaviEnhancer)).call(this, props));

		_initialiseProps.call(_this);

		var children = props.children,
		    other = _objectWithoutProperties(props, ['children']);

		_naviStore2.default.setState(other);
		return _this;
	}

	_createClass(NaviEnhancer, [{
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				_AppConfig2.default.Consumer,
				null,
				this._renderInAppConfigContext
			);
		}
	}]);

	return NaviEnhancer;
}(_react.PureComponent), _class.propTypes = {
	children: _propTypes2.default.node.isRequired,
	title: _propTypes2.default.string,
	pageTitle: _propTypes2.default.string,
	table: _propTypes2.default.string
}, _initialiseProps = function _initialiseProps() {
	var _this2 = this;

	this._renderInAppConfigContext = function (appConfig) {
		!appConfig ? process.env.NODE_ENV !== 'production' ? (0, _tinyInvariant2.default)(false, 'You should not use <EnhancedRoute> outside <AppContext>') : (0, _tinyInvariant2.default)(false) : void 0;

		var props = _this2.props,
		    _props = _this2.props,
		    children = _props.children,
		    other = _objectWithoutProperties(_props, ['children']);

		var appTitle = appConfig.title;

		var pageTitle = props.pageTitle || props.title || props.table;
		var title = pageTitle ? pageTitle + ' | ' + appTitle : appTitle;

		return _react2.default.createElement(
			_reactDocumentTitle2.default,
			{ title: title },
			_react2.default.createElement(
				_PageContext2.default.Provider,
				{ value: props },
				(0, _react.cloneElement)(children, other)
			)
		);
	};
}, _temp);
exports.default = NaviEnhancer;