'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _Issuers = require('../../utils/Issuers');

var Issuers = _interopRequireWildcard(_Issuers);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var RendererContext = function () {
	_createClass(RendererContext, null, [{
		key: 'render',
		value: function render(issuers, renderer, props) {
			var context = new RendererContext(props);
			context.__issuers = issuers;
			context.__render = null;
			renderer(context);
			if (context.__render) {
				var render = context.__render;
				context.__render = null;
				return render;
			}
		}
	}]);

	function RendererContext(props, state) {
		var _this = this;

		_classCallCheck(this, RendererContext);

		this.props = props;
		this.state = state;
		Object.assign(this, Issuers);
		this.is = function (issuer) {
			return _this.__issuers.has(issuer);
		};
		Object.keys(Issuers).forEach(function (key) {
			Object.defineProperty(_this.is, key, {
				// eslint-disable-next-line import/namespace
				get: function get() {
					return _this.is(Issuers[key]);
				}
			});
		});
	}

	_createClass(RendererContext, [{
		key: 'when',
		value: function when(condition, render) {
			if (this.__render) return this;
			if (condition) this.__render = render;
			return this;
		}
	}]);

	return RendererContext;
}();

exports.default = RendererContext;