'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _style3 = require('antd/lib/button/style');

var _button = require('antd/lib/button');

var _button2 = _interopRequireDefault(_button);

var _style4 = require('antd/lib/form/style');

var _form = require('antd/lib/form');

var _form2 = _interopRequireDefault(_form);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactPolyfill = require('../../utils/reactPolyfill');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactFormMobx = require('react-form-mobx');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Item = _form2.default.Item;
var Reset = (_temp2 = _class = function (_Component) {
	_inherits(Reset, _Component);

	function Reset() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, Reset);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Reset.__proto__ || Object.getPrototypeOf(Reset)).call.apply(_ref, [this].concat(args))), _this), _this.demonButtonRef = (0, _reactPolyfill.createRef)(), _this.handleClick = function (ev) {
			ev.preventDefault();
			var demon = _this.demonButtonRef.current;
			demon.clear();
			demon.submit();
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(Reset, [{
		key: 'render',
		value: function render() {
			var _this2 = this;

			var _props = this.props,
			    wrapperStyle = _props.wrapperStyle,
			    props = _objectWithoutProperties(_props, ['wrapperStyle']);

			return _react2.default.createElement(
				_reactFormMobx.DemonButton,
				{ forwardedProps: props, ref: this.demonButtonRef },
				function (forwardedProps) {
					return _react2.default.createElement(
						Item,
						{ style: wrapperStyle },
						_react2.default.createElement(_button2.default, _extends({}, forwardedProps, { onClick: _this2.handleClick }))
					);
				}
			);
		}
	}]);

	return Reset;
}(_react.Component), _class.propTypes = {
	wrapperStyle: _propTypes2.default.object
}, _temp2);
exports.default = Reset;