'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _style2 = require('antd/lib/divider/style');

var _divider = require('antd/lib/divider');

var _divider2 = _interopRequireDefault(_divider);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _UserMenu = require('../UserMenu');

var _UserMenu2 = _interopRequireDefault(_UserMenu);

var _Navi = require('../Navi');

var _Navi2 = _interopRequireDefault(_Navi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var FrameHeader = (_temp = _class = function (_Component) {
	_inherits(FrameHeader, _Component);

	function FrameHeader() {
		_classCallCheck(this, FrameHeader);

		return _possibleConstructorReturn(this, (FrameHeader.__proto__ || Object.getPrototypeOf(FrameHeader)).apply(this, arguments));
	}

	_createClass(FrameHeader, [{
		key: 'render',
		value: function render() {
			var style = this.props.style,
			    _context$appConfig$na = this.context.appConfig.navigator,
			    noUserMenu = _context$appConfig$na.noUserMenu,
			    topMenu = _context$appConfig$na.topMenu;

			return _react2.default.createElement(
				'div',
				{ style: style },
				!!topMenu.length && _react2.default.createElement(_Navi2.default, {
					top: true,
					menu: topMenu,
					style: _styles2.default.menu,
					itemStyle: _styles2.default.menuItem
				}),
				_react2.default.createElement(_divider2.default, { type: 'vertical' }),
				!noUserMenu && _react2.default.createElement(_UserMenu2.default, null)
			);
		}
	}]);

	return FrameHeader;
}(_react.Component), _class.propTypes = {
	style: _propTypes2.default.object
}, _class.contextTypes = {
	appConfig: _propTypes2.default.object.isRequired
}, _temp);
exports.default = FrameHeader;