'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _class, _class2, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ModalControllerContext = require('./ModalControllerContext');

var _ModalControllerContext2 = _interopRequireDefault(_ModalControllerContext);

var _ModalPropsContext = require('./ModalPropsContext');

var _ModalPropsContext2 = _interopRequireDefault(_ModalPropsContext);

var _withIssuer = require('../../hocs/withIssuer');

var _withIssuer2 = _interopRequireDefault(_withIssuer);

var _Issuers = require('../../utils/Issuers');

var _ModalProvider = require('./ModalProvider');

var _ModalProvider2 = _interopRequireDefault(_ModalProvider);

var _ModalPropsUpdater = require('./ModalPropsUpdater');

var _ModalPropsUpdater2 = _interopRequireDefault(_ModalPropsUpdater);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ModalConsumer = (_dec = (0, _withIssuer2.default)({ issuer: _Issuers.MODAL }), _dec(_class = (_temp2 = _class2 = function (_Component) {
	_inherits(ModalConsumer, _Component);

	function ModalConsumer() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, ModalConsumer);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = ModalConsumer.__proto__ || Object.getPrototypeOf(ModalConsumer)).call.apply(_ref, [this].concat(args))), _this), _this.close = function () {
			_this.modalController.close();
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(ModalConsumer, [{
		key: 'render',
		value: function render() {
			var _this2 = this;

			var _props = this.props,
			    children = _props.children,
			    restProps = _objectWithoutProperties(_props, ['children']);

			return _react2.default.createElement(
				_ModalControllerContext2.default.Consumer,
				null,
				function (modalController) {
					return _react2.default.createElement(
						_ModalPropsContext2.default.Consumer,
						null,
						function (modalProps) {
							_this2.modalController = modalController;
							return _react2.default.createElement(
								_ModalProvider2.default,
								{ modalController: modalController },
								children,
								_react2.default.createElement(_ModalPropsUpdater2.default, _extends({}, restProps, { modalProps: modalProps }))
							);
						}
					);
				}
			);
		}
	}]);

	return ModalConsumer;
}(_react.Component), _class2.propTypes = {
	children: _propTypes2.default.node
}, _temp2)) || _class);
exports.default = ModalConsumer;