'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _style2 = require('antd/lib/icon/style');

var _icon = require('antd/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _class2, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _PropTypes = require('../../utils/PropTypes');

var _PropTypes2 = _interopRequireDefault(_PropTypes);

var _mobxReact = require('mobx-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CursorIndicator = (0, _mobxReact.observer)(_class = (_temp2 = _class2 = function (_Component) {
	_inherits(CursorIndicator, _Component);

	function CursorIndicator() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, CursorIndicator);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = CursorIndicator.__proto__ || Object.getPrototypeOf(CursorIndicator)).call.apply(_ref, [this].concat(args))), _this), _this._handleClickPrev = function () {
			var _this2 = _this,
			    _this2$props = _this2.props,
			    onChange = _this2$props.onChange,
			    store = _this2$props.store;
			var isFetching = store.isFetching,
			    prevCursor = store.prevCursor;

			if (!isFetching && prevCursor !== undefined && onChange) {
				onChange(prevCursor);
				store.decreaseCursorIndex();
			}
		}, _this._handleClickNext = function () {
			var _this3 = _this,
			    _this3$props = _this3.props,
			    onChange = _this3$props.onChange,
			    store = _this3$props.store;
			var isFetching = store.isFetching,
			    nextCursor = store.nextCursor;

			if (!isFetching && nextCursor && onChange) {
				onChange(nextCursor);
				store.increaseCursorIndex();
			}
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(CursorIndicator, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    style = _props.style,
			    className = _props.className,
			    _props$store = _props.store,
			    prevCursor = _props$store.prevCursor,
			    nextCursor = _props$store.nextCursor,
			    isFetching = _props$store.isFetching;

			var prevClassName = prevCursor !== undefined && !isFetching ? '' : 'ant-pagination-disabled';
			var nextClassName = nextCursor && !isFetching ? '' : 'ant-pagination-disabled';
			return _react2.default.createElement(
				'ul',
				{ style: style, className: 'ant-pagination ' + className },
				_react2.default.createElement(
					'li',
					{ className: 'ant-pagination-prev ' + prevClassName },
					_react2.default.createElement(
						'a',
						{
							className: 'ant-pagination-item-link',
							onClick: this._handleClickPrev
						},
						_react2.default.createElement(_icon2.default, { type: 'left' })
					)
				),
				_react2.default.createElement(
					'li',
					{ className: 'ant-pagination-next ' + nextClassName },
					_react2.default.createElement(
						'a',
						{
							className: 'ant-pagination-item-link',
							onClick: this._handleClickNext
						},
						_react2.default.createElement(_icon2.default, { type: 'right' })
					)
				)
			);
		}
	}]);

	return CursorIndicator;
}(_react.Component), _class2.propTypes = {
	onChange: _PropTypes2.default.func,
	className: _PropTypes2.default.string,
	style: _PropTypes2.default.object,
	store: _PropTypes2.default.object.isRequired
}, _class2.defaultProps = {
	className: ''
}, _temp2)) || _class;

exports.default = CursorIndicator;