'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _fp = require('../../utils/fp');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var QueryConnector = (_temp = _class = function (_Component) {
	_inherits(QueryConnector, _Component);

	function QueryConnector(props) {
		_classCallCheck(this, QueryConnector);

		var _this = _possibleConstructorReturn(this, (QueryConnector.__proto__ || Object.getPrototypeOf(QueryConnector)).call(this, props));

		var store = props.store;

		if (store) {
			_this._disposer = store.observeQuery(function (_ref) {
				var newValue = _ref.newValue;

				store.call('fetch', { query: newValue });
				if ((0, _fp.isFunction)(store.clearSelectedKeys)) store.clearSelectedKeys();
			});
		}
		return _this;
	}

	_createClass(QueryConnector, [{
		key: 'componentWillUnmount',
		value: function componentWillUnmount() {
			this._disposer && this._disposer();
		}
	}, {
		key: 'render',
		value: function render() {
			return this.props.children;
		}
	}]);

	return QueryConnector;
}(_react.Component), _class.propTypes = {
	store: _propTypes2.default.object,
	children: _propTypes2.default.node
}, _temp);
exports.default = QueryConnector;