'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _style2 = require('antd/lib/layout/style');

var _layout = require('antd/lib/layout');

var _layout2 = _interopRequireDefault(_layout);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _class2, _temp2;

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _mobxReact = require('mobx-react');

var _panelsStore = require('../../stores/panelsStore');

var _panelsStore2 = _interopRequireDefault(_panelsStore);

var _AppTitle = require('../AppTitle');

var _AppTitle2 = _interopRequireDefault(_AppTitle);

var _Navi = require('../Navi');

var _Navi2 = _interopRequireDefault(_Navi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Sider = _layout2.default.Sider;

var Sidebar = (0, _mobxReact.observer)(_class = (_temp2 = _class2 = function (_Component) {
	_inherits(Sidebar, _Component);

	function Sidebar() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, Sidebar);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Sidebar.__proto__ || Object.getPrototypeOf(Sidebar)).call.apply(_ref, [this].concat(args))), _this), _this._handleCollapse = function (collapsed) {
			_panelsStore2.default.updateSidebar(collapsed);
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(Sidebar, [{
		key: 'render',
		value: function render() {
			var _context$appConfig = this.context.appConfig,
			    menus = _context$appConfig.navigator.menus,
			    logoNode = _context$appConfig.logoNode;
			var isSidebarCollapsed = _panelsStore2.default.isSidebarCollapsed;

			return _react2.default.createElement(
				Sider,
				{
					collapsible: true,
					collapsed: isSidebarCollapsed,
					onCollapse: this._handleCollapse,
					style: _styles2.default.container
				},
				_react2.default.createElement(
					'div',
					{ style: _styles2.default.title },
					logoNode,
					_react2.default.createElement(_AppTitle2.default, {
						style: {
							width: isSidebarCollapsed ? 0 : 'auto',
							marginLeft: !isSidebarCollapsed && logoNode ? 8 : 0,
							opacity: isSidebarCollapsed ? 0 : 1,
							transition: 'opacity 0.2s'
						}
					})
				),
				_react2.default.createElement(_Navi2.default, { menu: menus })
			);
		}
	}]);

	return Sidebar;
}(_react.Component), _class2.contextTypes = {
	appConfig: _propTypes2.default.object
}, _temp2)) || _class;

exports.default = Sidebar;