'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _style2 = require('antd/lib/spin/style');

var _spin = require('antd/lib/spin');

var _spin2 = _interopRequireDefault(_spin);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _PropTypes = require('../../utils/PropTypes');

var _PropTypes2 = _interopRequireDefault(_PropTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var SpinBox = function SpinBox(_ref) {
	var style = _ref.style,
	    Comp = _ref.component,
	    other = _objectWithoutProperties(_ref, ['style', 'component']);

	return _react2.default.createElement(
		Comp,
		{ style: _extends({}, _styles2.default.container, style) },
		_react2.default.createElement(_spin2.default, other)
	);
};

SpinBox.propTypes = {
	style: _PropTypes2.default.object,
	component: _PropTypes2.default.component
};

SpinBox.defaultProps = {
	component: 'div'
};

exports.default = SpinBox;