'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = TableStoreProvider;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _AppConfig = require('../../contexts/AppConfig');

var _AppConfig2 = _interopRequireDefault(_AppConfig);

var _TableStoreInternal = require('./TableStoreInternal');

var _TableStoreInternal2 = _interopRequireDefault(_TableStoreInternal);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function TableStoreProvider(props) {
	return _react2.default.createElement(
		_AppConfig2.default.Consumer,
		null,
		function (appConfig) {
			return _react2.default.createElement(_TableStoreInternal2.default, _extends({}, props, { appConfig: appConfig }));
		}
	);
}