'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _style2 = require('antd/lib/locale-provider/style');

var _localeProvider = require('antd/lib/locale-provider');

var _localeProvider2 = _interopRequireDefault(_localeProvider);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactLifecyclesCompat = require('react-lifecycles-compat');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _utils = require('./utils');

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _LocaleStores = require('../../stores/LocaleStores');

var _LocaleStores2 = _interopRequireDefault(_LocaleStores);

var _AdminContext = require('../AdminContext');

var _AdminContext2 = _interopRequireDefault(_AdminContext);

require('moment/locale/zh-cn');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

// TODO: should be able to custom
_moment2.default.locale('zh-cn');

var Admin = (0, _reactLifecyclesCompat.polyfill)(_class = (_temp = _class2 = function (_Component) {
	_inherits(Admin, _Component);

	_createClass(Admin, null, [{
		key: 'getDerivedStateFromProps',
		value: function getDerivedStateFromProps(nextProps) {
			return { config: (0, _utils.getAppConfig)(nextProps) };
		}
	}]);

	function Admin(props) {
		_classCallCheck(this, Admin);

		var _this = _possibleConstructorReturn(this, (Admin.__proto__ || Object.getPrototypeOf(Admin)).call(this, props));

		var config = (0, _utils.getAppConfig)(props);
		var locale = config.locale;

		if (locale) _LocaleStores2.default.setLocale(locale);
		_this.state = { config: config };
		return _this;
	}

	_createClass(Admin, [{
		key: '_renderContext',
		value: function _renderContext() {
			return _react2.default.createElement(_AdminContext2.default, { appConfig: this.state.config });
		}
	}, {
		key: 'render',
		value: function render() {
			var locale = this.state.config.locale;

			if (locale) {
				return _react2.default.createElement(
					_localeProvider2.default,
					{ locale: locale.antd },
					this._renderContext()
				);
			} else {
				return this._renderContext();
			}
		}
	}]);

	return Admin;
}(_react.Component), _class2.propTypes = _extends({}, _utils.configShape, {
	config: _propTypes2.default.shape(_utils.configShape),
	children: _propTypes2.default.node
}), _temp)) || _class;

exports.default = Admin;