'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactLifecyclesCompat = require('react-lifecycles-compat');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Form = require('../../components/Form');

var _Text = require('../Text');

var _Text2 = _interopRequireDefault(_Text);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var SelectField = (0, _reactLifecyclesCompat.polyfill)(_class = (_temp = _class2 = function (_Component) {
	_inherits(SelectField, _Component);

	_createClass(SelectField, null, [{
		key: 'renderTable',
		value: function renderTable(_ref, _ref2) {
			var children = _ref.children;
			var text = _ref2.text;

			var options = _react.Children.toArray(children);
			var option = options.find(function (_ref3) {
				var props = _ref3.props;
				return props.value === text;
			});
			return option ? _react2.default.createElement(
				'span',
				null,
				option.props.children
			) : null;
		}
	}, {
		key: 'getDerivedStateFromProps',
		value: function getDerivedStateFromProps(_ref4, _ref5) {
			var style = _ref4.style;
			var prevStyle = _ref5.prevStyle;

			return style === prevStyle ? null : {
				prevStyle: style,
				style: _extends({
					minWidth: SelectField.minWidth
				}, style)
			};
		}
	}]);

	function SelectField(props) {
		_classCallCheck(this, SelectField);

		var _this = _possibleConstructorReturn(this, (SelectField.__proto__ || Object.getPrototypeOf(SelectField)).call(this, props));

		var prevStyle = props.style;
		_this.state = {
			style: _extends({
				minWidth: SelectField.minWidth
			}, prevStyle),
			prevStyle: prevStyle
		};
		return _this;
	}

	_createClass(SelectField, [{
		key: 'render',
		value: function render() {
			var props = this.props,
			    _state = this.state,
			    prevStyle = _state.prevStyle,
			    styleProps = _objectWithoutProperties(_state, ['prevStyle']);

			return _react2.default.createElement(_Text2.default, _extends({}, props, styleProps, { component: _Form.Select }));
		}
	}]);

	return SelectField;
}(_react.Component), _class2.propTypes = {
	children: _propTypes2.default.node,
	style: _propTypes2.default.object
}, _class2.defaultChildComponent = _Form.Select.Option, _class2.minWidth = 96, _temp)) || _class;

exports.default = SelectField;