'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = ErrorMessagesSchema;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _PropTypes = require('../../utils/PropTypes');

var _PropTypes2 = _interopRequireDefault(_PropTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ErrorMessagesSchema() {
	return _react2.default.createElement('noscript', null);
}

ErrorMessagesSchema.propTypes = {
	defaults: _PropTypes2.default.string,
	statusMap: _PropTypes2.default.object,
	validResponse: _PropTypes2.default.func,
	validResponseData: _PropTypes2.default.func,
	getMessage: _PropTypes2.default.func
};

ErrorMessagesSchema.configuration = {
	name: 'errorMessages',
	propType: _PropTypes2.default.object,
	pipe: function pipe(props, messages) {
		return Object.assign(messages, props);
	}
};