import { style as _style2 } from 'antd/lib/icon/style';
import _default2 from 'antd/lib/icon';
import { style as _style } from 'antd/lib/breadcrumb/style';
import _default from 'antd/lib/breadcrumb';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _class2, _temp;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import PropTypes from 'prop-types';
import React, { Component } from 'react';
import { observer } from 'mobx-react';
import naviStore from '../../stores/naviStore';

import { Link } from 'react-router-dom';

var Item = _default.Item;

var Breadcrumb = observer(_class = (_temp = _class2 = function (_Component) {
	_inherits(Breadcrumb, _Component);

	function Breadcrumb() {
		_classCallCheck(this, Breadcrumb);

		return _possibleConstructorReturn(this, (Breadcrumb.__proto__ || Object.getPrototypeOf(Breadcrumb)).apply(this, arguments));
	}

	_createClass(Breadcrumb, [{
		key: '_renderItems',
		value: function _renderItems() {
			var getBreadcrumbItem = function getBreadcrumbItem() {
				var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
				var items = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
				var breadcrumbTitle = state.breadcrumbTitle,
				    path = state.path,
				    breadcrumbParent = state.breadcrumbParent;

				if (breadcrumbTitle && path) {
					items.unshift(React.createElement(
						Item,
						{ key: path },
						items.length ? React.createElement(
							Link,
							{ to: path },
							breadcrumbTitle
						) : breadcrumbTitle
					));
					return getBreadcrumbItem(breadcrumbParent, items);
				}
				return items;
			};
			return getBreadcrumbItem(naviStore.state);
		}
	}, {
		key: 'render',
		value: function render() {
			var _context$appConfig$na = this.context.appConfig.navigator,
			    noBreadcrumb = _context$appConfig$na.noBreadcrumb,
			    noHomeBreadcrumb = _context$appConfig$na.noHomeBreadcrumb;

			if (noBreadcrumb) {
				return null;
			}
			return React.createElement(
				_default,
				this.props,
				!noHomeBreadcrumb && React.createElement(
					Item,
					null,
					React.createElement(
						Link,
						{ to: '/' },
						React.createElement(_default2, { type: 'home' })
					)
				),
				this._renderItems()
			);
		}
	}]);

	return Breadcrumb;
}(Component), _class2.contextTypes = {
	appConfig: PropTypes.object
}, _temp)) || _class;

export { Breadcrumb as default };