var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _class, _class2, _temp;

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import { Component } from 'react';
import PropTypes from 'prop-types';
import { observer } from 'mobx-react';
import withIssuer from '../../hocs/withIssuer';
import RendererContext from './RendererContext';

var FieldGateway = (_dec = withIssuer(), _dec(_class = observer(_class = (_temp = _class2 = function (_Component) {
	_inherits(FieldGateway, _Component);

	function FieldGateway() {
		_classCallCheck(this, FieldGateway);

		return _possibleConstructorReturn(this, (FieldGateway.__proto__ || Object.getPrototypeOf(FieldGateway)).apply(this, arguments));
	}

	_createClass(FieldGateway, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    renderer = _props.renderer,
			    issuers = _props.issuers,
			    children = _props.children,
			    props = _props.props,
			    state = _props.state,
			    otherProps = _objectWithoutProperties(_props, ['renderer', 'issuers', 'children', 'props', 'state']);

			var render = RendererContext.render(issuers, renderer, props, state);
			if (children) return children(render, otherProps);
			return render ? render(otherProps) : null;
		}
	}]);

	return FieldGateway;
}(Component), _class2.propTypes = {
	renderer: PropTypes.func.isRequired,
	issuers: PropTypes.instanceOf(Set).isRequired,
	props: PropTypes.object.isRequired,
	state: PropTypes.object.isRequired,
	children: PropTypes.func
}, _temp)) || _class) || _class);
export { FieldGateway as default };