import { style as _style2 } from 'antd/lib/upload/style';
import _default2 from 'antd/lib/upload';
import { style as _style } from 'antd/lib/form/style';
import _default from 'antd/lib/form';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp2;

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { PureComponent } from 'react';
import { createRef } from '../../utils/reactPolyfill';
import PropTypes from 'prop-types';
import { Demon } from 'react-form-mobx';
var Item = _default.Item;
var Upload = (_temp2 = _class = function (_PureComponent) {
	_inherits(Upload, _PureComponent);

	function Upload() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, Upload);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Upload.__proto__ || Object.getPrototypeOf(Upload)).call.apply(_ref, [this].concat(args))), _this), _this.demonRef = createRef(), _this._getValueFromChangeEvent = function (_ref2) {
			var fileList = _ref2.fileList;
			var mapFileList = _this.props.mapFileList;

			return mapFileList ? mapFileList(fileList) : fileList;
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(Upload, [{
		key: 'getValue',
		value: function getValue() {
			return this.demonRef.current.getValue();
		}
	}, {
		key: 'setValue',
		value: function setValue() {
			return this.demonRef.current.setValue();
		}
	}, {
		key: 'setPristineValue',
		value: function setPristineValue() {
			return this.demonRef.current.setPristineValue();
		}
	}, {
		key: 'render',
		value: function render() {
			var _props = this.props,
			    label = _props.label,
			    labelCol = _props.labelCol,
			    wrapperCol = _props.wrapperCol,
			    colon = _props.colon,
			    required = _props.required,
			    wrapperStyle = _props.wrapperStyle,
			    uploadName = _props.uploadName,
			    props = _objectWithoutProperties(_props, ['label', 'labelCol', 'wrapperCol', 'colon', 'required', 'wrapperStyle', 'uploadName']);

			return React.createElement(
				Demon,
				{
					forwardedProps: props,
					getValueFromChangeEvent: this._getValueFromChangeEvent,
					ref: this.demonRef
				},
				function (forwardedProps, _ref3) {
					var isInvalid = _ref3.isInvalid,
					    isTouched = _ref3.isTouched,
					    errorMessage = _ref3.errorMessage;
					return React.createElement(
						Item,
						{
							label: label,
							labelCol: labelCol,
							wrapperCol: wrapperCol,
							colon: colon,
							required: props.required,
							validateStatus: isInvalid ? 'error' : 'success',
							help: isTouched && isInvalid ? errorMessage : '',
							style: wrapperStyle
						},
						React.createElement(_default2, _extends({}, forwardedProps, { name: uploadName }))
					);
				}
			);
		}
	}]);

	return Upload;
}(PureComponent), _class.propTypes = {
	required: PropTypes.bool,
	label: PropTypes.node,
	labelCol: PropTypes.object,
	wrapperCol: PropTypes.object,
	colon: PropTypes.bool,
	wrapperStyle: PropTypes.object,
	uploadName: PropTypes.string,
	mapFileList: PropTypes.any
}, _temp2);
export { Upload as default };