import { style as _style } from 'antd/lib/divider/style';
import _default from 'antd/lib/divider';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import styles from './styles';
import React, { Component } from 'react';
import PropTypes from 'prop-types';
import UserMenu from '../UserMenu';
import Navi from '../Navi';
var FrameHeader = (_temp = _class = function (_Component) {
	_inherits(FrameHeader, _Component);

	function FrameHeader() {
		_classCallCheck(this, FrameHeader);

		return _possibleConstructorReturn(this, (FrameHeader.__proto__ || Object.getPrototypeOf(FrameHeader)).apply(this, arguments));
	}

	_createClass(FrameHeader, [{
		key: 'render',
		value: function render() {
			var style = this.props.style,
			    _context$appConfig$na = this.context.appConfig.navigator,
			    noUserMenu = _context$appConfig$na.noUserMenu,
			    topMenu = _context$appConfig$na.topMenu;

			return React.createElement(
				'div',
				{ style: style },
				!!topMenu.length && React.createElement(Navi, {
					top: true,
					menu: topMenu,
					style: styles.menu,
					itemStyle: styles.menuItem
				}),
				React.createElement(_default, { type: 'vertical' }),
				!noUserMenu && React.createElement(UserMenu, null)
			);
		}
	}]);

	return FrameHeader;
}(Component), _class.propTypes = {
	style: PropTypes.object
}, _class.contextTypes = {
	appConfig: PropTypes.object.isRequired
}, _temp);
export { FrameHeader as default };