import React from 'react';
import { observer } from 'mobx-react';
import AppConfigContext from '../../contexts/AppConfig';
import ModalControllerContext from './ModalControllerContext';

export default observer(function ModalBody() {
	return React.createElement(
		AppConfigContext.Consumer,
		null,
		function (_ref) {
			var modals = _ref.modals;
			return React.createElement(
				ModalControllerContext.Consumer,
				null,
				function (_ref2) {
					var name = _ref2.name,
					    state = _ref2.state;

					var Comp = modals.get(name);
					return React.createElement(Comp, state);
				}
			);
		}
	);
});