var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _class, _class2, _temp2;

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import ModalControllerContext from './ModalControllerContext';
import ModalPropsContext from './ModalPropsContext';
import withIssuer from '../../hocs/withIssuer';
import { MODAL } from '../../utils/Issuers';
import ModalProvider from './ModalProvider';
import ModalPropsUpdater from './ModalPropsUpdater';

var ModalConsumer = (_dec = withIssuer({ issuer: MODAL }), _dec(_class = (_temp2 = _class2 = function (_Component) {
	_inherits(ModalConsumer, _Component);

	function ModalConsumer() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, ModalConsumer);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = ModalConsumer.__proto__ || Object.getPrototypeOf(ModalConsumer)).call.apply(_ref, [this].concat(args))), _this), _this.close = function () {
			_this.modalController.close();
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(ModalConsumer, [{
		key: 'render',
		value: function render() {
			var _this2 = this;

			var _props = this.props,
			    children = _props.children,
			    restProps = _objectWithoutProperties(_props, ['children']);

			return React.createElement(
				ModalControllerContext.Consumer,
				null,
				function (modalController) {
					return React.createElement(
						ModalPropsContext.Consumer,
						null,
						function (modalProps) {
							_this2.modalController = modalController;
							return React.createElement(
								ModalProvider,
								{ modalController: modalController },
								children,
								React.createElement(ModalPropsUpdater, _extends({}, restProps, { modalProps: modalProps }))
							);
						}
					);
				}
			);
		}
	}]);

	return ModalConsumer;
}(Component), _class2.propTypes = {
	children: PropTypes.node
}, _temp2)) || _class);
export { ModalConsumer as default };