import { style as _style } from 'antd/lib/modal/style';
import _default from 'antd/lib/modal';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import { observer, Observer } from 'mobx-react';
import ModalPropsStore from './ModalPropsStore';

import ModalControllerContext from './ModalControllerContext';
import ModalPropsContext from './ModalPropsContext';
import ModalBody from './ModalBody';

var ModalPortal = observer(_class = function (_Component) {
	_inherits(ModalPortal, _Component);

	function ModalPortal() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, ModalPortal);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = ModalPortal.__proto__ || Object.getPrototypeOf(ModalPortal)).call.apply(_ref, [this].concat(args))), _this), _this.store = new ModalPropsStore(), _this._handleOk = function (ev) {
			var props = _this.store.props;

			if (props.onOk) props.onOk(ev);
			ev.isDefaultPrevented() || _this._close();
		}, _this._handleCancel = function (ev) {
			var props = _this.store.props;

			if (props.onCancel) props.onCancel(ev);
			ev.isDefaultPrevented() || _this._close();
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(ModalPortal, [{
		key: '_close',
		value: function _close() {
			this.modalController.close();
		}
	}, {
		key: 'render',
		value: function render() {
			var _this2 = this;

			var props = this.store.props;

			return React.createElement(
				ModalPropsContext.Provider,
				{ value: this.store },
				React.createElement(
					ModalControllerContext.Consumer,
					null,
					function (modalController) {
						return React.createElement(
							Observer,
							null,
							function () {
								var visible = modalController.visible;

								_this2.modalController = modalController;
								return React.createElement(
									_default,
									_extends({
										maskClosable: false
									}, props, {
										visible: visible,
										onOk: _this2._handleOk,
										onCancel: _this2._handleCancel
									}),
									visible && React.createElement(ModalBody, null)
								);
							}
						);
					}
				)
			);
		}
	}]);

	return ModalPortal;
}(Component)) || _class;

export { ModalPortal as default };