var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _dec2, _class, _class2, _temp2;

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from '../../utils/PropTypes';
import localize from '../../hocs/localize';
import withStore from '../../hocs/withStore';
import ContextButton from '../ContextButton';
import { isFunction } from '../../utils/fp';

var RefButton = (_dec = withStore(), _dec2 = localize('RefButton'), _dec(_class = _dec2(_class = (_temp2 = _class2 = function (_Component) {
	_inherits(RefButton, _Component);

	function RefButton() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, RefButton);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = RefButton.__proto__ || Object.getPrototypeOf(RefButton)).call.apply(_ref, [this].concat(args))), _this), _this._handleClick = function (ev, actions) {
			ev.preventDefault();
			var ref = actions.ref,
			    getData = actions.getData;

			var _this2 = _this,
			    _this2$props = _this2.props,
			    title = _this2$props.title,
			    label = _this2$props.label,
			    localeStore = _this2$props.localeStore,
			    other = _objectWithoutProperties(_this2$props, ['title', 'label', 'localeStore']);

			var getTitle = title || localeStore.localizeProp(label, 'label');
			ref(_extends({}, other, {
				title: isFunction(getTitle) ? getTitle(getData()) : getTitle
			}));
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(RefButton, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    title = _props.title,
			    table = _props.table,
			    fetch = _props.fetch,
			    save = _props.save,
			    noQuery = _props.noQuery,
			    localeStore = _props.localeStore,
			    toolbar = _props.toolbar,
			    other = _objectWithoutProperties(_props, ['title', 'table', 'fetch', 'save', 'noQuery', 'localeStore', 'toolbar']);

			return React.createElement(ContextButton, _extends({}, localeStore.localize(other), {
				onClick: this._handleClick
			}));
		}
	}]);

	return RefButton;
}(Component), _class2.propTypes = {
	localeStore: PropTypes.object.isRequired,
	table: PropTypes.string.isRequired,
	title: PropTypes.stringOrFunc,
	fetch: PropTypes.string,
	save: PropTypes.string,
	noQuery: PropTypes.bool,
	label: PropTypes.stringOrFunc,
	store: PropTypes.object,
	toolbar: PropTypes.any
}, _class2.defaultProps = {
	noQuery: false
}, _temp2)) || _class) || _class);
export { RefButton as default };