var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp2;

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import TableContext from './TableContext';

var TableCell = (_temp2 = _class = function (_Component) {
	_inherits(TableCell, _Component);

	function TableCell() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, TableCell);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = TableCell.__proto__ || Object.getPrototypeOf(TableCell)).call.apply(_ref, [this].concat(args))), _this), _this._handleClick = function () {
			var store = _this.props.store;

			if (store && store.record) {
				_this.tableContext.toggleSelectedKey(store.record.key);
			}
		}, _this._render = function (tableContext) {
			_this.tableContext = tableContext;

			var _this$props = _this.props,
			    renderCell = _this$props.renderCell,
			    store = _this$props.store,
			    children = _this$props.children,
			    other = _objectWithoutProperties(_this$props, ['renderCell', 'store', 'children']);

			if (!renderCell) return _this._renderChildren(children, other);
			return renderCell(store, function (render) {
				return render ? _this._renderChildren(render(), other) : React.createElement('td', { style: { padding: 0 } });
			}
			// (render) => (render ? this._renderChildren(render(), other) : null)
			);
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(TableCell, [{
		key: '_renderChildren',
		value: function _renderChildren(children, other) {
			return React.createElement(
				'td',
				_extends({}, other, { onClick: this._handleClick }),
				children
			);
		}
	}, {
		key: 'render',
		value: function render() {
			return React.createElement(
				TableContext.Consumer,
				null,
				this._render
			);
		}
	}]);

	return TableCell;
}(Component), _class.propTypes = {
	children: PropTypes.node,
	renderCell: PropTypes.func,
	store: PropTypes.object
}, _temp2);
export { TableCell as default };