var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _class, _class2, _temp;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { TABLE } from '../../utils/Issuers';
import withIssuer from '../../hocs/withIssuer';
import QueryConnector from '../QueryConnector';
import TableView from './TableView';
import TableFooter from './TableFooter';

var TableBody = (_dec = withIssuer({ issuer: TABLE }), _dec(_class = (_temp = _class2 = function (_Component) {
	_inherits(TableBody, _Component);

	function TableBody() {
		_classCallCheck(this, TableBody);

		return _possibleConstructorReturn(this, (TableBody.__proto__ || Object.getPrototypeOf(TableBody)).apply(this, arguments));
	}

	_createClass(TableBody, [{
		key: 'render',
		value: function render() {
			var props = this.props;

			return React.createElement(
				QueryConnector,
				{ store: props.store },
				React.createElement(
					'div',
					null,
					React.createElement(TableView, props),
					React.createElement(TableFooter, props)
				)
			);
		}
	}]);

	return TableBody;
}(Component), _class2.propTypes = {
	store: PropTypes.object.isRequired
}, _temp)) || _class);
export { TableBody as default };