import { style as _style } from 'antd/lib/checkbox/style';
import _default from 'antd/lib/checkbox';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _dec2, _class, _class2, _temp2;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { observer } from 'mobx-react';
import panelsStore from '../../stores/panelsStore';
import withStore from '../../hocs/withStore';
import localize from '../../hocs/localize';
var TableQuerySwitch = (_dec = withStore(), _dec2 = localize('TableQuerySwitch'), _dec(_class = _dec2(_class = observer(_class = (_temp2 = _class2 = function (_Component) {
	_inherits(TableQuerySwitch, _Component);

	function TableQuerySwitch() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, TableQuerySwitch);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = TableQuerySwitch.__proto__ || Object.getPrototypeOf(TableQuerySwitch)).call.apply(_ref, [this].concat(args))), _this), _this._handleToggle = function (ev) {
			panelsStore.updateQuery(ev.target.checked);
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(TableQuerySwitch, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    queryFieldsCount = _props.store.queryFieldsCount,
			    children = _props.children,
			    localeStore = _props.localeStore;

			if (!queryFieldsCount) return null;
			return React.createElement(
				_default,
				{ checked: panelsStore.isShowQuery, onChange: this._handleToggle },
				localeStore.localizeProp(children, 'label')
			);
		}
	}]);

	return TableQuerySwitch;
}(Component), _class2.propTypes = {
	children: PropTypes.node,
	store: PropTypes.object.isRequired,
	localeStore: PropTypes.object.isRequired
}, _temp2)) || _class) || _class) || _class);
export { TableQuerySwitch as default };