var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import { Editor, Input } from '../../components/Form';
import Text from '../Text';

function HtmlField(_ref) {
	var style = _ref.style,
	    editorProps = _ref.editorProps,
	    props = _objectWithoutProperties(_ref, ['style', 'editorProps']);

	return React.createElement(Text, _extends({}, props, editorProps, {
		component: Editor,
		containerStyle: {
			lineHeight: 'initial'
		},
		style: _extends({
			marginTop: -1,
			height: 360
		}, style, editorProps.style)
	}));
}

HtmlField.propTypes = {
	style: PropTypes.object,
	editorProps: PropTypes.object
};

HtmlField.defaultProps = {
	editorProps: {}
};

HtmlField.renderQuery = function renderTable(props) {
	// eslint-disable-next-line react/prop-types
	var editorProps = props.editorProps,
	    other = _objectWithoutProperties(props, ['editorProps']);

	return React.createElement(Text, _extends({}, other, { component: Input }));
};

export default HtmlField;