import React, { Children } from 'react';
import PropTypes from 'prop-types';

export default function LogoSchema() {
	return React.createElement('noscript', null);
}

LogoSchema.propTypes = {
	children: PropTypes.node
};

LogoSchema.configuration = {
	name: 'logoNode',
	propType: PropTypes.node,
	pipe: function pipe(_ref) {
		var children = _ref.children;
		return Children.only(children);
	},
	initialData: null
};