import React from 'react';
import PropTypes from 'prop-types';

export default function TitleSchema() {
	return React.createElement('noscript', null);
}

TitleSchema.propTypes = {
	children: PropTypes.string.isRequired
};

TitleSchema.configuration = {
	name: 'title',
	propType: PropTypes.string,
	pipe: function pipe(_ref) {
		var children = _ref.children;
		return children;
	},
	initialData: 'Admin'
};