var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _desc, _value, _class;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
	var desc = {};
	Object['ke' + 'ys'](descriptor).forEach(function (key) {
		desc[key] = descriptor[key];
	});
	desc.enumerable = !!desc.enumerable;
	desc.configurable = !!desc.configurable;

	if ('value' in desc || desc.initializer) {
		desc.writable = true;
	}

	desc = decorators.slice().reverse().reduce(function (desc, decorator) {
		return decorator(target, property, desc) || desc;
	}, desc);

	if (context && desc.initializer !== void 0) {
		desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
		desc.initializer = undefined;
	}

	if (desc.initializer === void 0) {
		Object['define' + 'Property'](target, property, desc);
		desc = null;
	}

	return desc;
}

import { observable, action } from 'mobx';
import defaultLocale from '../../locales/en_US';

var localeStores = new Map();
var localeData = defaultLocale;

var LocaleStore = (_class = function () {
	_createClass(LocaleStore, null, [{
		key: 'ensure',
		value: function ensure(name) {
			if (localeStores.has(name)) return localeStores.get(name);
			var data = localeData[name];
			var locale = new LocaleStore(data);
			localeStores.set(name, locale);
			return locale;
		}
	}, {
		key: 'test',
		value: function test(name) {
			return localeData.hasOwnProperty(name);
		}
	}, {
		key: 'setLocale',
		value: function setLocale(newLocale) {
			if (localeData !== newLocale) {
				localeData = newLocale;
				var _iteratorNormalCompletion = true;
				var _didIteratorError = false;
				var _iteratorError = undefined;

				try {
					for (var _iterator = localeStores[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
						var _step$value = _slicedToArray(_step.value, 2),
						    name = _step$value[0],
						    localeStore = _step$value[1];

						localeStore._setData(localeData[name]);
					}
				} catch (err) {
					_didIteratorError = true;
					_iteratorError = err;
				} finally {
					try {
						if (!_iteratorNormalCompletion && _iterator.return) {
							_iterator.return();
						}
					} finally {
						if (_didIteratorError) {
							throw _iteratorError;
						}
					}
				}
			}
		}
	}]);

	function LocaleStore(data) {
		_classCallCheck(this, LocaleStore);

		this.data = observable(data);
	}

	_createClass(LocaleStore, [{
		key: 'localizeProp',
		value: function localizeProp(prop, key) {
			return prop === undefined ? this.data[key] : prop;
		}
	}, {
		key: 'localize',
		value: function localize(props, exclude) {
			var _this = this;

			return Object.keys(this.data).concat(Object.keys(props)).reduce(function (acc, key) {
				var propValue = props[key];
				if (!exclude || !~exclude.indexOf(key)) {
					acc[key] = propValue === undefined ? _this.data[key] : propValue;
				}
				return acc;
			}, {});
		}
	}, {
		key: '_setData',
		value: function _setData(data) {
			this.data = data;
		}
	}]);

	return LocaleStore;
}(), (_applyDecoratedDescriptor(_class.prototype, '_setData', [action], Object.getOwnPropertyDescriptor(_class.prototype, '_setData'), _class.prototype)), _class);
export { LocaleStore as default };