var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _desc, _value, _class, _descriptor, _descriptor2;

function _initDefineProp(target, property, descriptor, context) {
	if (!descriptor) return;
	Object.defineProperty(target, property, {
		enumerable: descriptor.enumerable,
		configurable: descriptor.configurable,
		writable: descriptor.writable,
		value: descriptor.initializer ? descriptor.initializer.call(context) : void 0
	});
}

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
	var desc = {};
	Object['ke' + 'ys'](descriptor).forEach(function (key) {
		desc[key] = descriptor[key];
	});
	desc.enumerable = !!desc.enumerable;
	desc.configurable = !!desc.configurable;

	if ('value' in desc || desc.initializer) {
		desc.writable = true;
	}

	desc = decorators.slice().reverse().reduce(function (desc, decorator) {
		return decorator(target, property, desc) || desc;
	}, desc);

	if (context && desc.initializer !== void 0) {
		desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
		desc.initializer = undefined;
	}

	if (desc.initializer === void 0) {
		Object['define' + 'Property'](target, property, desc);
		desc = null;
	}

	return desc;
}

function _initializerWarningHelper(descriptor, context) {
	throw new Error('Decorating class property failed. Please ensure that transform-class-properties is enabled.');
}

import { observable } from 'mobx';
import cookie from '../utils/cookie';
import { QUERY_PANEL, SIDEBAR_PANEL } from '../constants/CookieKeys';

var maxAge = 60 * 60 * 24 * 30;

var PanelsStore = (_class = function () {
	function PanelsStore() {
		_classCallCheck(this, PanelsStore);

		_initDefineProp(this, 'isSidebarCollapsed', _descriptor, this);

		_initDefineProp(this, 'isShowQuery', _descriptor2, this);
	}

	_createClass(PanelsStore, [{
		key: 'updateSidebar',
		value: function updateSidebar(val) {
			this.isSidebarCollapsed = val;
			cookie.set(SIDEBAR_PANEL, val, { maxAge: maxAge });
		}
	}, {
		key: 'updateQuery',
		value: function updateQuery(val) {
			this.isShowQuery = val;
			cookie.set(QUERY_PANEL, val, { maxAge: maxAge });
		}
	}]);

	return PanelsStore;
}(), (_descriptor = _applyDecoratedDescriptor(_class.prototype, 'isSidebarCollapsed', [observable], {
	enumerable: true,
	initializer: function initializer() {
		return cookie.get(SIDEBAR_PANEL) === 'true';
	}
}), _descriptor2 = _applyDecoratedDescriptor(_class.prototype, 'isShowQuery', [observable], {
	enumerable: true,
	initializer: function initializer() {
		return cookie.get(QUERY_PANEL) !== 'false';
	}
})), _class);


export default new PanelsStore();