import moment from 'moment';

var DefaultDateFormat = 'YYYY-MM-DD';
var DefaultTimeFormat = 'HH:mm:ss';
var DefaultDateTimeFormat = 'YYYY-MM-DD HH:mm:ss';

export default function renderDate(date, formFormat, displayFormat) {
	var format = void 0;
	if (displayFormat) format = displayFormat;else if (formFormat === 'time') format = DefaultTimeFormat;else if (formFormat === 'dateTime') format = DefaultDateTimeFormat;else format = DefaultDateFormat;
	return moment(new Date(date)).format(format);
}