'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _style3 = require('antd/lib/icon/style');

var _icon = require('antd/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _style4 = require('antd/lib/breadcrumb/style');

var _breadcrumb = require('antd/lib/breadcrumb');

var _breadcrumb2 = _interopRequireDefault(_breadcrumb);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _class2, _temp;

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _mobxReact = require('mobx-react');

var _naviStore = require('../../stores/naviStore');

var _naviStore2 = _interopRequireDefault(_naviStore);

var _reactRouterDom = require('react-router-dom');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Item = _breadcrumb2.default.Item;

var Breadcrumb = (0, _mobxReact.observer)(_class = (_temp = _class2 = function (_Component) {
	_inherits(Breadcrumb, _Component);

	function Breadcrumb() {
		_classCallCheck(this, Breadcrumb);

		return _possibleConstructorReturn(this, (Breadcrumb.__proto__ || Object.getPrototypeOf(Breadcrumb)).apply(this, arguments));
	}

	_createClass(Breadcrumb, [{
		key: '_renderItems',
		value: function _renderItems() {
			var getBreadcrumbItem = function getBreadcrumbItem() {
				var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
				var items = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
				var breadcrumbTitle = state.breadcrumbTitle,
				    path = state.path,
				    breadcrumbParent = state.breadcrumbParent;

				if (breadcrumbTitle && path) {
					items.unshift(_react2.default.createElement(
						Item,
						{ key: path },
						items.length ? _react2.default.createElement(
							_reactRouterDom.Link,
							{ to: path },
							breadcrumbTitle
						) : breadcrumbTitle
					));
					return getBreadcrumbItem(breadcrumbParent, items);
				}
				return items;
			};
			return getBreadcrumbItem(_naviStore2.default.state);
		}
	}, {
		key: 'render',
		value: function render() {
			var _context$appConfig$na = this.context.appConfig.navigator,
			    noBreadcrumb = _context$appConfig$na.noBreadcrumb,
			    noHomeBreadcrumb = _context$appConfig$na.noHomeBreadcrumb;

			if (noBreadcrumb) {
				return null;
			}
			return _react2.default.createElement(
				_breadcrumb2.default,
				this.props,
				!noHomeBreadcrumb && _react2.default.createElement(
					Item,
					null,
					_react2.default.createElement(
						_reactRouterDom.Link,
						{ to: '/' },
						_react2.default.createElement(_icon2.default, { type: 'home' })
					)
				),
				this._renderItems()
			);
		}
	}]);

	return Breadcrumb;
}(_react.Component), _class2.contextTypes = {
	appConfig: _propTypes2.default.object
}, _temp)) || _class;

exports.default = Breadcrumb;