'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _style2 = require('antd/lib/modal/style');

var _modal = require('antd/lib/modal');

var _modal2 = _interopRequireDefault(_modal);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _PropTypes = require('../../utils/PropTypes');

var _PropTypes2 = _interopRequireDefault(_PropTypes);

var _ContextButton = require('../ContextButton');

var _ContextButton2 = _interopRequireDefault(_ContextButton);

var _fp = require('../../utils/fp');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ConfirmButton = (_temp2 = _class = function (_Component) {
	_inherits(ConfirmButton, _Component);

	function ConfirmButton() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, ConfirmButton);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = ConfirmButton.__proto__ || Object.getPrototypeOf(ConfirmButton)).call.apply(_ref, [this].concat(args))), _this), _this._handleClick = function (ev, actions) {
			var _this$props = _this.props,
			    title = _this$props.title,
			    content = _this$props.content,
			    _onOk = _this$props.onOk,
			    okText = _this$props.okText,
			    method = _this$props.method;

			ev.preventDefault();
			_modal2.default.confirm({
				title: (0, _fp.isFunction)(title) ? title(actions.getData()) : title,
				content: (0, _fp.isFunction)(content) ? content(actions.getData()) : content,
				okText: okText,
				onOk: function onOk() {
					if (_onOk) {
						_onOk(actions);
					}
					if (method) {
						actions.store.call(method, {
							method: 'POST',
							keys: actions.selectedKeys
						});
					}
				}
			});
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(ConfirmButton, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    title = _props.title,
			    content = _props.content,
			    onOk = _props.onOk,
			    okText = _props.okText,
			    method = _props.method,
			    other = _objectWithoutProperties(_props, ['title', 'content', 'onOk', 'okText', 'method']);

			return _react2.default.createElement(_ContextButton2.default, _extends({}, other, {
				onClick: this._handleClick
			}));
		}
	}]);

	return ConfirmButton;
}(_react.Component), _class.propTypes = {
	title: _PropTypes2.default.stringOrFunc.isRequired,
	content: _PropTypes2.default.stringOrFunc,
	onOk: _PropTypes2.default.func,
	okText: _PropTypes2.default.string,
	method: _PropTypes2.default.string
}, _class.defaultProps = {
	okText: 'OK'
}, _temp2);
exports.default = ConfirmButton;