'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _class, _class2, _temp;

var _react = require('react');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _mobxReact = require('mobx-react');

var _withIssuer = require('../../hocs/withIssuer');

var _withIssuer2 = _interopRequireDefault(_withIssuer);

var _RendererContext = require('./RendererContext');

var _RendererContext2 = _interopRequireDefault(_RendererContext);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var FieldGateway = (_dec = (0, _withIssuer2.default)(), _dec(_class = (0, _mobxReact.observer)(_class = (_temp = _class2 = function (_Component) {
	_inherits(FieldGateway, _Component);

	function FieldGateway() {
		_classCallCheck(this, FieldGateway);

		return _possibleConstructorReturn(this, (FieldGateway.__proto__ || Object.getPrototypeOf(FieldGateway)).apply(this, arguments));
	}

	_createClass(FieldGateway, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    renderer = _props.renderer,
			    issuers = _props.issuers,
			    children = _props.children,
			    props = _props.props,
			    state = _props.state,
			    otherProps = _objectWithoutProperties(_props, ['renderer', 'issuers', 'children', 'props', 'state']);

			var render = _RendererContext2.default.render(issuers, renderer, props, state);
			if (children) return children(render, otherProps);
			return render ? render(otherProps) : null;
		}
	}]);

	return FieldGateway;
}(_react.Component), _class2.propTypes = {
	renderer: _propTypes2.default.func.isRequired,
	issuers: _propTypes2.default.instanceOf(Set).isRequired,
	props: _propTypes2.default.object.isRequired,
	state: _propTypes2.default.object.isRequired,
	children: _propTypes2.default.func
}, _temp)) || _class) || _class);
exports.default = FieldGateway;