'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _style4 = require('antd/lib/time-picker/style');

var _timePicker = require('antd/lib/time-picker');

var _timePicker2 = _interopRequireDefault(_timePicker);

var _style5 = require('antd/lib/date-picker/style');

var _datePicker = require('antd/lib/date-picker');

var _datePicker2 = _interopRequireDefault(_datePicker);

var _style6 = require('antd/lib/form/style');

var _form = require('antd/lib/form');

var _form2 = _interopRequireDefault(_form);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactPolyfill = require('../../utils/reactPolyfill');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactFormMobx = require('react-form-mobx');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Item = _form2.default.Item;
var DateTimePicker = (_temp2 = _class = function (_PureComponent) {
	_inherits(DateTimePicker, _PureComponent);

	function DateTimePicker() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, DateTimePicker);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = DateTimePicker.__proto__ || Object.getPrototypeOf(DateTimePicker)).call.apply(_ref, [this].concat(args))), _this), _this.demonRef = (0, _reactPolyfill.createRef)(), _this._getValueFromChangeEvent = function (value) {
			return value;
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(DateTimePicker, [{
		key: 'getValue',
		value: function getValue() {
			return this.demonRef.current.getValue();
		}
	}, {
		key: 'setValue',
		value: function setValue() {
			return this.demonRef.current.setValue();
		}
	}, {
		key: 'setPristineValue',
		value: function setPristineValue() {
			return this.demonRef.current.setPristineValue();
		}
	}, {
		key: 'render',
		value: function render() {
			var _props = this.props,
			    label = _props.label,
			    labelCol = _props.labelCol,
			    wrapperCol = _props.wrapperCol,
			    colon = _props.colon,
			    required = _props.required,
			    wrapperStyle = _props.wrapperStyle,
			    props = _objectWithoutProperties(_props, ['label', 'labelCol', 'wrapperCol', 'colon', 'required', 'wrapperStyle']);

			return _react2.default.createElement(
				_reactFormMobx.Demon,
				{
					forwardedProps: props,
					getValueFromChangeEvent: this._getValueFromChangeEvent,
					ref: this.demonRef
				},
				function (forwardedProps, _ref2) {
					var isInvalid = _ref2.isInvalid,
					    isTouched = _ref2.isTouched,
					    errorMessage = _ref2.errorMessage;
					return _react2.default.createElement(
						Item,
						{
							label: label,
							labelCol: labelCol,
							wrapperCol: wrapperCol,
							colon: colon,
							required: props.required,
							validateStatus: isInvalid ? 'error' : 'success',
							help: isTouched && isInvalid ? errorMessage : '',
							style: wrapperStyle
						},
						_react2.default.createElement(_datePicker2.default, forwardedProps),
						_react2.default.createElement(_timePicker2.default, forwardedProps)
					);
				}
			);
		}
	}]);

	return DateTimePicker;
}(_react.PureComponent), _class.propTypes = {
	required: _propTypes2.default.bool,
	label: _propTypes2.default.node,
	labelCol: _propTypes2.default.object,
	wrapperCol: _propTypes2.default.object,
	colon: _propTypes2.default.bool,
	wrapperStyle: _propTypes2.default.object
}, _temp2);
exports.default = DateTimePicker;