'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.Checkbox = exports.RangePicker = exports.TimePicker = exports.DatePicker = exports.Select = exports.Slider = exports.TextArea = exports.InputNumber = exports.Input = exports.Editor = exports.DateTimePicker = exports.Upload = exports.Clear = exports.Reset = exports.Submit = exports.Form = undefined;

var _style8 = require('antd/lib/checkbox/style');

var _checkbox = require('antd/lib/checkbox');

var _checkbox2 = _interopRequireDefault(_checkbox);

var _style9 = require('antd/lib/time-picker/style');

var _timePicker = require('antd/lib/time-picker');

var _timePicker2 = _interopRequireDefault(_timePicker);

var _style10 = require('antd/lib/select/style');

var _select = require('antd/lib/select');

var _select2 = _interopRequireDefault(_select);

var _style11 = require('antd/lib/slider/style');

var _slider = require('antd/lib/slider');

var _slider2 = _interopRequireDefault(_slider);

var _style12 = require('antd/lib/input-number/style');

var _inputNumber = require('antd/lib/input-number');

var _inputNumber2 = _interopRequireDefault(_inputNumber);

var _style13 = require('antd/lib/input/style');

var _input = require('antd/lib/input');

var _input2 = _interopRequireDefault(_input);

var _style14 = require('antd/lib/date-picker/style');

var _datePicker = require('antd/lib/date-picker');

var _datePicker2 = _interopRequireDefault(_datePicker);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createComponent = require('./createComponent');

var _createComponent2 = _interopRequireDefault(_createComponent);

var _Form2 = require('./Form');

var _Form3 = _interopRequireDefault(_Form2);

var _Submit2 = require('./Submit');

var _Submit3 = _interopRequireDefault(_Submit2);

var _Reset2 = require('./Reset');

var _Reset3 = _interopRequireDefault(_Reset2);

var _Clear2 = require('./Clear');

var _Clear3 = _interopRequireDefault(_Clear2);

var _Upload2 = require('./Upload');

var _Upload3 = _interopRequireDefault(_Upload2);

var _DateTimePicker2 = require('./DateTimePicker');

var _DateTimePicker3 = _interopRequireDefault(_DateTimePicker2);

var _Editor2 = require('./Editor');

var _Editor3 = _interopRequireDefault(_Editor2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var AntdRangePicker = _datePicker2.default.RangePicker;
exports.Form = _Form3.default;
exports.Submit = _Submit3.default;
exports.Reset = _Reset3.default;
exports.Clear = _Clear3.default;
exports.Upload = _Upload3.default;
exports.DateTimePicker = _DateTimePicker3.default;
exports.Editor = _Editor3.default;
var Input = exports.Input = (0, _createComponent2.default)(_input2.default, {
	displayName: 'Input'
});

var InputNumber = exports.InputNumber = (0, _createComponent2.default)(_inputNumber2.default, {
	displayName: 'InputNumber',
	getValueFromChangeEvent: function getValueFromChangeEvent(value) {
		return value;
	}
});

var TextArea = exports.TextArea = (0, _createComponent2.default)(_input2.default.TextArea, {
	displayName: 'TextArea'
});

var Slider = exports.Slider = (0, _createComponent2.default)(_slider2.default, {
	displayName: 'Slider',
	getValueFromChangeEvent: function getValueFromChangeEvent(value) {
		return value;
	}
});

var Select = exports.Select = (0, _createComponent2.default)(_select2.default, {
	displayName: 'Select',
	getValueFromChangeEvent: function getValueFromChangeEvent(value) {
		return value;
	}
});

var DatePicker = (0, _createComponent2.default)(_datePicker2.default, {
	displayName: 'DatePicker',
	defaultProps: {
		defaultValue: undefined
	},
	mapForwardedProps: function mapForwardedProps(props) {
		var dateFormat = props.dateFormat,
		    other = _objectWithoutProperties(props, ['dateFormat']);

		return _extends({}, other, { format: dateFormat });
	},
	getValueFromChangeEvent: function getValueFromChangeEvent(value) {
		return value;
	}
});

exports.DatePicker = DatePicker;
var TimePicker = (0, _createComponent2.default)(_timePicker2.default, {
	displayName: 'TimePicker',
	defaultProps: {
		defaultValue: undefined
	},
	mapForwardedProps: function mapForwardedProps(props) {
		var dateFormat = props.dateFormat,
		    other = _objectWithoutProperties(props, ['dateFormat']);

		return _extends({}, other, { format: dateFormat });
	},
	getValueFromChangeEvent: function getValueFromChangeEvent(value) {
		return value;
	}
});

exports.TimePicker = TimePicker;
var RangePicker = exports.RangePicker = (0, _createComponent2.default)(AntdRangePicker, {
	displayName: 'RangePicker',
	defaultProps: {
		defaultValue: undefined
	},
	getValueFromChangeEvent: function getValueFromChangeEvent(value) {
		return value;
	}
});

var Checkbox = exports.Checkbox = (0, _createComponent2.default)(_checkbox2.default, {
	displayName: 'Checkbox',
	checkable: true,
	getCheckedFromChangeEvent: function getCheckedFromChangeEvent(_ref) {
		var target = _ref.target;

		return target.checked;
	}
});