'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _mobxReact = require('mobx-react');

var _AppConfig = require('../../contexts/AppConfig');

var _AppConfig2 = _interopRequireDefault(_AppConfig);

var _ModalControllerContext = require('./ModalControllerContext');

var _ModalControllerContext2 = _interopRequireDefault(_ModalControllerContext);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _mobxReact.observer)(function ModalBody() {
	return _react2.default.createElement(
		_AppConfig2.default.Consumer,
		null,
		function (_ref) {
			var modals = _ref.modals;
			return _react2.default.createElement(
				_ModalControllerContext2.default.Consumer,
				null,
				function (_ref2) {
					var name = _ref2.name,
					    state = _ref2.state;

					var Comp = modals.get(name);
					return _react2.default.createElement(Comp, state);
				}
			);
		}
	);
});