'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _style2 = require('antd/lib/modal/style');

var _modal = require('antd/lib/modal');

var _modal2 = _interopRequireDefault(_modal);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _mobxReact = require('mobx-react');

var _ModalPropsStore = require('./ModalPropsStore');

var _ModalPropsStore2 = _interopRequireDefault(_ModalPropsStore);

var _ModalControllerContext = require('./ModalControllerContext');

var _ModalControllerContext2 = _interopRequireDefault(_ModalControllerContext);

var _ModalPropsContext = require('./ModalPropsContext');

var _ModalPropsContext2 = _interopRequireDefault(_ModalPropsContext);

var _ModalBody = require('./ModalBody');

var _ModalBody2 = _interopRequireDefault(_ModalBody);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ModalPortal = (0, _mobxReact.observer)(_class = function (_Component) {
	_inherits(ModalPortal, _Component);

	function ModalPortal() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, ModalPortal);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = ModalPortal.__proto__ || Object.getPrototypeOf(ModalPortal)).call.apply(_ref, [this].concat(args))), _this), _this.store = new _ModalPropsStore2.default(), _this._handleOk = function (ev) {
			var props = _this.store.props;

			if (props.onOk) props.onOk(ev);
			ev.isDefaultPrevented() || _this._close();
		}, _this._handleCancel = function (ev) {
			var props = _this.store.props;

			if (props.onCancel) props.onCancel(ev);
			ev.isDefaultPrevented() || _this._close();
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(ModalPortal, [{
		key: '_close',
		value: function _close() {
			this.modalController.close();
		}
	}, {
		key: 'render',
		value: function render() {
			var _this2 = this;

			var props = this.store.props;

			return _react2.default.createElement(
				_ModalPropsContext2.default.Provider,
				{ value: this.store },
				_react2.default.createElement(
					_ModalControllerContext2.default.Consumer,
					null,
					function (modalController) {
						return _react2.default.createElement(
							_mobxReact.Observer,
							null,
							function () {
								var visible = modalController.visible;

								_this2.modalController = modalController;
								return _react2.default.createElement(
									_modal2.default,
									_extends({
										maskClosable: false
									}, props, {
										visible: visible,
										onOk: _this2._handleOk,
										onCancel: _this2._handleCancel
									}),
									visible && _react2.default.createElement(_ModalBody2.default, null)
								);
							}
						);
					}
				)
			);
		}
	}]);

	return ModalPortal;
}(_react.Component)) || _class;

exports.default = ModalPortal;