'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _PropTypes = require('../../utils/PropTypes');

var _PropTypes2 = _interopRequireDefault(_PropTypes);

var _ModalControllerStore = require('./ModalControllerStore');

var _ModalControllerStore2 = _interopRequireDefault(_ModalControllerStore);

var _ModalControllerContext = require('./ModalControllerContext');

var _ModalControllerContext2 = _interopRequireDefault(_ModalControllerContext);

var _ModalPortal = require('./ModalPortal');

var _ModalPortal2 = _interopRequireDefault(_ModalPortal);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ModalProvider = (_temp2 = _class = function (_Component) {
	_inherits(ModalProvider, _Component);

	function ModalProvider() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, ModalProvider);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = ModalProvider.__proto__ || Object.getPrototypeOf(ModalProvider)).call.apply(_ref, [this].concat(args))), _this), _this.modalController = new _ModalControllerStore2.default(_this.props.modalController), _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(ModalProvider, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    Wrap = _props.component,
			    children = _props.children,
			    modalController = _props.modalController,
			    other = _objectWithoutProperties(_props, ['component', 'children', 'modalController']);

			return _react2.default.createElement(
				_ModalControllerContext2.default.Provider,
				{ value: this.modalController },
				_react2.default.createElement(
					Wrap,
					other,
					children,
					_react2.default.createElement(_ModalPortal2.default, null)
				)
			);
		}
	}]);

	return ModalProvider;
}(_react.Component), _class.propTypes = {
	modalController: _PropTypes2.default.object,
	children: _PropTypes2.default.node,
	component: _PropTypes2.default.component
}, _class.defaultProps = {
	component: 'div'
}, _temp2);
exports.default = ModalProvider;