'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactDocumentTitle = require('react-document-title');

var _reactDocumentTitle2 = _interopRequireDefault(_reactDocumentTitle);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function PageContainer(props, context) {
	var pageTitle = props.title,
	    other = _objectWithoutProperties(props, ['title']);

	var appTitle = context.appConfig.title;

	var title = pageTitle ? pageTitle + ' | ' + appTitle : appTitle;
	return _react2.default.createElement(
		_reactDocumentTitle2.default,
		{ title: title },
		_react2.default.createElement('div', other)
	);
}

PageContainer.propTypes = {
	title: _propTypes2.default.string
};

PageContainer.contextTypes = {
	appConfig: _propTypes2.default.object
};

exports.default = PageContainer;