'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _naviStore = require('../../stores/naviStore');

var _naviStore2 = _interopRequireDefault(_naviStore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PageTitle = (_temp = _class = function (_Component) {
	_inherits(PageTitle, _Component);

	function PageTitle(props) {
		_classCallCheck(this, PageTitle);

		var _this = _possibleConstructorReturn(this, (PageTitle.__proto__ || Object.getPrototypeOf(PageTitle)).call(this, props));

		_naviStore2.default.setBreadcrumbTitle(props.title);
		return _this;
	}

	_createClass(PageTitle, [{
		key: 'componentDidUpdate',
		value: function componentDidUpdate(prevProps) {
			var title = this.props.title;

			if (prevProps.title !== title) {
				_naviStore2.default.setBreadcrumbTitle(title);
			}
		}
	}, {
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				'h1',
				null,
				this.props.title
			);
		}
	}]);

	return PageTitle;
}(_react.Component), _class.propTypes = {
	title: _propTypes2.default.node.isRequired
}, _temp);
exports.default = PageTitle;