'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _dec2, _class, _class2, _temp2;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _PropTypes = require('../../utils/PropTypes');

var _PropTypes2 = _interopRequireDefault(_PropTypes);

var _localize = require('../../hocs/localize');

var _localize2 = _interopRequireDefault(_localize);

var _withStore = require('../../hocs/withStore');

var _withStore2 = _interopRequireDefault(_withStore);

var _ContextButton = require('../ContextButton');

var _ContextButton2 = _interopRequireDefault(_ContextButton);

var _fp = require('../../utils/fp');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var RefButton = (_dec = (0, _withStore2.default)(), _dec2 = (0, _localize2.default)('RefButton'), _dec(_class = _dec2(_class = (_temp2 = _class2 = function (_Component) {
	_inherits(RefButton, _Component);

	function RefButton() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, RefButton);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = RefButton.__proto__ || Object.getPrototypeOf(RefButton)).call.apply(_ref, [this].concat(args))), _this), _this._handleClick = function (ev, actions) {
			ev.preventDefault();
			var ref = actions.ref,
			    getData = actions.getData;

			var _this2 = _this,
			    _this2$props = _this2.props,
			    title = _this2$props.title,
			    label = _this2$props.label,
			    localeStore = _this2$props.localeStore,
			    other = _objectWithoutProperties(_this2$props, ['title', 'label', 'localeStore']);

			var getTitle = title || localeStore.localizeProp(label, 'label');
			ref(_extends({}, other, {
				title: (0, _fp.isFunction)(getTitle) ? getTitle(getData()) : getTitle
			}));
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(RefButton, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    title = _props.title,
			    table = _props.table,
			    fetch = _props.fetch,
			    save = _props.save,
			    noQuery = _props.noQuery,
			    localeStore = _props.localeStore,
			    toolbar = _props.toolbar,
			    other = _objectWithoutProperties(_props, ['title', 'table', 'fetch', 'save', 'noQuery', 'localeStore', 'toolbar']);

			return _react2.default.createElement(_ContextButton2.default, _extends({}, localeStore.localize(other), {
				onClick: this._handleClick
			}));
		}
	}]);

	return RefButton;
}(_react.Component), _class2.propTypes = {
	localeStore: _PropTypes2.default.object.isRequired,
	table: _PropTypes2.default.string.isRequired,
	title: _PropTypes2.default.stringOrFunc,
	fetch: _PropTypes2.default.string,
	save: _PropTypes2.default.string,
	noQuery: _PropTypes2.default.bool,
	label: _PropTypes2.default.stringOrFunc,
	store: _PropTypes2.default.object,
	toolbar: _PropTypes2.default.any
}, _class2.defaultProps = {
	noQuery: false
}, _temp2)) || _class) || _class);
exports.default = RefButton;