'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Issuers = require('../../utils/Issuers');

var _withIssuer = require('../../hocs/withIssuer');

var _withIssuer2 = _interopRequireDefault(_withIssuer);

var _QueryConnector = require('../QueryConnector');

var _QueryConnector2 = _interopRequireDefault(_QueryConnector);

var _TableView = require('./TableView');

var _TableView2 = _interopRequireDefault(_TableView);

var _TableFooter = require('./TableFooter');

var _TableFooter2 = _interopRequireDefault(_TableFooter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var TableBody = (_dec = (0, _withIssuer2.default)({ issuer: _Issuers.TABLE }), _dec(_class = (_temp = _class2 = function (_Component) {
	_inherits(TableBody, _Component);

	function TableBody() {
		_classCallCheck(this, TableBody);

		return _possibleConstructorReturn(this, (TableBody.__proto__ || Object.getPrototypeOf(TableBody)).apply(this, arguments));
	}

	_createClass(TableBody, [{
		key: 'render',
		value: function render() {
			var props = this.props;

			return _react2.default.createElement(
				_QueryConnector2.default,
				{ store: props.store },
				_react2.default.createElement(
					'div',
					null,
					_react2.default.createElement(_TableView2.default, props),
					_react2.default.createElement(_TableFooter2.default, props)
				)
			);
		}
	}]);

	return TableBody;
}(_react.Component), _class2.propTypes = {
	store: _propTypes2.default.object.isRequired
}, _temp)) || _class);
exports.default = TableBody;