'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _style6 = require('antd/lib/dropdown/style');

var _dropdown = require('antd/lib/dropdown');

var _dropdown2 = _interopRequireDefault(_dropdown);

var _style7 = require('antd/lib/avatar/style');

var _avatar = require('antd/lib/avatar');

var _avatar2 = _interopRequireDefault(_avatar);

var _style8 = require('antd/lib/icon/style');

var _icon = require('antd/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _style9 = require('antd/lib/menu/style');

var _menu = require('antd/lib/menu');

var _menu2 = _interopRequireDefault(_menu);

var _style10 = require('antd/lib/modal/style');

var _modal = require('antd/lib/modal');

var _modal2 = _interopRequireDefault(_modal);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _class, _class2, _temp2;

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _routerStore = require('../../stores/routerStore');

var _routerStore2 = _interopRequireDefault(_routerStore);

var _localize = require('../../hocs/localize');

var _localize2 = _interopRequireDefault(_localize);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var confirm = _modal2.default.confirm;
var Item = _menu2.default.Item;
var UserMenu = (_dec = (0, _localize2.default)('UserMenu'), _dec(_class = (_temp2 = _class2 = function (_Component) {
	_inherits(UserMenu, _Component);

	function UserMenu() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, UserMenu);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = UserMenu.__proto__ || Object.getPrototypeOf(UserMenu)).call.apply(_ref, [this].concat(args))), _this), _this._handleClick = function (ev) {
			ev.preventDefault();
			var _this$props$localeSto = _this.props.localeStore.data,
			    confirmSignOut = _this$props$localeSto.confirmSignOut,
			    signOut = _this$props$localeSto.signOut;

			confirm({
				title: confirmSignOut,
				onOk: function onOk() {
					_this.context.authStore.logout();
					_routerStore2.default.history.replace('/login');
				},
				okText: signOut
			});
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(UserMenu, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    style = _props.style,
			    localeStore = _props.localeStore;

			return _react2.default.createElement(
				_dropdown2.default,
				{
					overlay: _react2.default.createElement(
						_menu2.default,
						null,
						_react2.default.createElement(
							Item,
							null,
							_react2.default.createElement(
								'a',
								{ rel: 'noopener noreferrer', onClick: this._handleClick, href: '#' },
								_react2.default.createElement(_icon2.default, { type: 'logout' }),
								' ',
								localeStore.data.signOut
							)
						)
					),
					trigger: ['click']
				},
				_react2.default.createElement(
					'div',
					{ style: _styles2.default.container(style) },
					_react2.default.createElement(_avatar2.default, { icon: 'user', size: 'small' }),
					_react2.default.createElement(
						'span',
						{ style: _styles2.default.text },
						'Admin'
					),
					_react2.default.createElement(_icon2.default, { type: 'down' })
				)
			);
		}
	}]);

	return UserMenu;
}(_react.Component), _class2.propTypes = {
	localeStore: _propTypes2.default.object.isRequired,
	style: _propTypes2.default.object
}, _class2.contextTypes = {
	authStore: _propTypes2.default.object
}, _temp2)) || _class);
exports.default = UserMenu;