'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _PropTypes = require('../../utils/PropTypes');

var _PropTypes2 = _interopRequireDefault(_PropTypes);

var _fp = require('../../utils/fp');

var _withStore = require('../../hocs/withStore');

var _withStore2 = _interopRequireDefault(_withStore);

var _TableRowKey = require('../../contexts/TableRowKey');

var _TableRowKey2 = _interopRequireDefault(_TableRowKey);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ActionInternalView = (_dec = (0, _withStore2.default)(), _dec(_class = (_temp = _class2 = function (_Component) {
	_inherits(ActionInternalView, _Component);

	function ActionInternalView() {
		_classCallCheck(this, ActionInternalView);

		return _possibleConstructorReturn(this, (ActionInternalView.__proto__ || Object.getPrototypeOf(ActionInternalView)).apply(this, arguments));
	}

	_createClass(ActionInternalView, [{
		key: '_renderChildren',
		value: function _renderChildren(_ref) {
			var children = _ref.children,
			    tableRowKey = _ref.tableRowKey,
			    store = _ref.store;

			var list = (0, _fp.isFunction)(children) ? children(store.getData(tableRowKey)) : children;
			var childrenArr = [];
			var length = _react.Children.count(list);
			_react.Children.forEach(list, function (child, index) {
				childrenArr.push((0, _react.cloneElement)(child, { key: index + '@1' }));
				if (index < length - 1) {
					childrenArr.push(_react2.default.createElement('span', { className: 'ant-divider', key: index + '@2' }));
				}
			});
			return childrenArr;
		}
	}, {
		key: 'render',
		value: function render() {
			var _props = this.props,
			    tableRowKey = _props.tableRowKey,
			    restProps = _objectWithoutProperties(_props, ['tableRowKey']);

			return _react2.default.createElement(
				_TableRowKey2.default.Provider,
				{ value: tableRowKey },
				_react2.default.createElement(
					'div',
					null,
					this._renderChildren(restProps)
				)
			);
		}
	}]);

	return ActionInternalView;
}(_react.Component), _class2.propTypes = {
	children: _PropTypes2.default.nodeOrFunc.isRequired,
	tableRowKey: _PropTypes2.default.string,
	store: _PropTypes2.default.object.isRequired
}, _temp)) || _class);
exports.default = ActionInternalView;