'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _localize = require('../../hocs/localize');

var _localize2 = _interopRequireDefault(_localize);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _mobxReact = require('mobx-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ActionLabel = function ActionLabel(_ref) {
	var localeStore = _ref.localeStore;

	return _react2.default.createElement(
		'span',
		null,
		localeStore.data.label
	);
};

ActionLabel.displayName = 'ActionLabel';

ActionLabel.propTypes = {
	localeStore: _propTypes2.default.object.isRequired
};

exports.default = (0, _localize2.default)('ActionsField')((0, _mobxReact.observer)(ActionLabel));