'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Form = require('../../components/Form');

var _Text = require('../Text');

var _Text2 = _interopRequireDefault(_Text);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function HtmlField(_ref) {
	var style = _ref.style,
	    editorProps = _ref.editorProps,
	    props = _objectWithoutProperties(_ref, ['style', 'editorProps']);

	return _react2.default.createElement(_Text2.default, _extends({}, props, editorProps, {
		component: _Form.Editor,
		containerStyle: {
			lineHeight: 'initial'
		},
		style: _extends({
			marginTop: -1,
			height: 360
		}, style, editorProps.style)
	}));
}

HtmlField.propTypes = {
	style: _propTypes2.default.object,
	editorProps: _propTypes2.default.object
};

HtmlField.defaultProps = {
	editorProps: {}
};

HtmlField.renderQuery = function renderTable(props) {
	// eslint-disable-next-line react/prop-types
	var editorProps = props.editorProps,
	    other = _objectWithoutProperties(props, ['editorProps']);

	return _react2.default.createElement(_Text2.default, _extends({}, other, { component: _Form.Input }));
};

exports.default = HtmlField;