'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _style2 = require('antd/lib/form/style');

var _form = require('antd/lib/form');

var _form2 = _interopRequireDefault(_form);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _class2, _temp2;

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _PropTypes = require('../../utils/PropTypes');

var _PropTypes2 = _interopRequireDefault(_PropTypes);

var _field = require('../../hocs/field');

var _field2 = _interopRequireDefault(_field);

var _reactFormMobx = require('react-form-mobx');

var _reactPolyfill = require('../../utils/reactPolyfill');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Item = _form2.default.Item;


var formItemLayout = {
	labelCol: { span: 14 },
	wrapperCol: { span: 14 }
};

var ObjectOf = (0, _field2.default)(_class = (_temp2 = _class2 = function (_Component) {
	_inherits(ObjectOf, _Component);

	function ObjectOf() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, ObjectOf);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = ObjectOf.__proto__ || Object.getPrototypeOf(ObjectOf)).call.apply(_ref, [this].concat(args))), _this), _this.objRef = (0, _reactPolyfill.createRef)(), _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(ObjectOf, [{
		key: 'getChildContext',
		value: function getChildContext() {
			return {
				vertical: true
			};
		}
	}, {
		key: 'render',
		value: function render() {
			var _props = this.props,
			    children = _props.children,
			    label = _props.label,
			    labelCol = _props.labelCol,
			    wrapperCol = _props.wrapperCol,
			    colon = _props.colon,
			    required = _props.required,
			    wrapperStyle = _props.wrapperStyle,
			    prefixCls = _props.prefixCls,
			    other = _objectWithoutProperties(_props, ['children', 'label', 'labelCol', 'wrapperCol', 'colon', 'required', 'wrapperStyle', 'prefixCls']);

			return _react2.default.createElement(
				Item,
				{
					label: label,
					labelCol: labelCol,
					wrapperCol: wrapperCol,
					colon: colon,
					required: required
					// validateStatus={isValid ? 'error' : 'success'}
					// help={errorMessage}
					, style: wrapperStyle
				},
				_react2.default.createElement(
					_reactFormMobx.ObjectOf,
					_extends({}, other, { ref: this.objRef }),
					_react2.default.createElement(
						'div',
						{ className: prefixCls + '-vertical', style: _styles2.default.main },
						_react.Children.map(children, function (child) {
							return (0, _react.cloneElement)(child, formItemLayout);
						})
					)
				)
			);
		}
	}], [{
		key: 'renderTable',
		value: function renderTable(props, _ref2) {
			var _ref2$text = _ref2.text,
			    text = _ref2$text === undefined ? {} : _ref2$text;

			return JSON.stringify(text);
		}
	}]);

	return ObjectOf;
}(_react.Component), _class2.propTypes = {
	name: _PropTypes2.default.string,
	children: _PropTypes2.default.node,
	required: _PropTypes2.default.bool,
	label: _PropTypes2.default.node,
	labelCol: _PropTypes2.default.object,
	wrapperCol: _PropTypes2.default.object,
	colon: _PropTypes2.default.bool,
	wrapperStyle: _PropTypes2.default.object,
	prefixCls: _PropTypes2.default.string
}, _class2.defaultProps = {
	prefixCls: 'ant-form'
}, _class2.childContextTypes = {
	vertical: _PropTypes2.default.bool
}, _temp2)) || _class;

exports.default = ObjectOf;