'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

exports.default = withAppConfig;

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _hoist = require('../hoist');

var _hoist2 = _interopRequireDefault(_hoist);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function withAppConfig(mapConfig) {
	return function createWithAppConfigComponent(WrappedComponent) {
		var _dec, _class, _class2, _temp;

		var WithAppConfig = (_dec = (0, _hoist2.default)(WrappedComponent), _dec(_class = (_temp = _class2 = function (_Component) {
			_inherits(WithAppConfig, _Component);

			function WithAppConfig() {
				_classCallCheck(this, WithAppConfig);

				return _possibleConstructorReturn(this, (WithAppConfig.__proto__ || Object.getPrototypeOf(WithAppConfig)).apply(this, arguments));
			}

			_createClass(WithAppConfig, [{
				key: 'render',
				value: function render() {
					var props = this.props,
					    appConfig = this.context.appConfig;

					return _react2.default.createElement(WrappedComponent, _extends({}, mapConfig(appConfig, props), (0, _hoist.extractRef)(props)));
				}
			}]);

			return WithAppConfig;
		}(_react.Component), _class2.contextTypes = {
			appConfig: _propTypes2.default.object.isRequired
		}, _temp)) || _class);

		return WithAppConfig;
	};
}