'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = MenuSchema;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _PropTypes = require('../../utils/PropTypes');

var _PropTypes2 = _interopRequireDefault(_PropTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function MenuSchema() {
	return _react2.default.createElement('noscript', null);
}

MenuSchema.propTypes = {
	title: _PropTypes2.default.string.isRequired, // menu title
	pageTitle: _PropTypes2.default.string, // page title, will use `title` fallback
	breadcrumbTitle: _PropTypes2.default.string, // breadcrumb title, will use `pageTitle` fallback
	icon: _PropTypes2.default.string,
	path: _PropTypes2.default.string,
	table: _PropTypes2.default.string,
	top: _PropTypes2.default.bool,
	children: _PropTypes2.default.node,
	component: _PropTypes2.default.component,
	header: _PropTypes2.default.component,
	footer: _PropTypes2.default.component,
	toolbar: _PropTypes2.default.component,
	updaterParams: _PropTypes2.default.object,
	createrParams: _PropTypes2.default.object,
	useDetail: _PropTypes2.default.bool
};

MenuSchema.defaultProps = {
	top: false,
	useDetail: false
};