'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _desc, _value, _class, _descriptor, _descriptor2;

var _mobx = require('mobx');

function _initDefineProp(target, property, descriptor, context) {
	if (!descriptor) return;
	Object.defineProperty(target, property, {
		enumerable: descriptor.enumerable,
		configurable: descriptor.configurable,
		writable: descriptor.writable,
		value: descriptor.initializer ? descriptor.initializer.call(context) : void 0
	});
}

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _applyDecoratedDescriptor(target, property, decorators, descriptor, context) {
	var desc = {};
	Object['ke' + 'ys'](descriptor).forEach(function (key) {
		desc[key] = descriptor[key];
	});
	desc.enumerable = !!desc.enumerable;
	desc.configurable = !!desc.configurable;

	if ('value' in desc || desc.initializer) {
		desc.writable = true;
	}

	desc = decorators.slice().reverse().reduce(function (desc, decorator) {
		return decorator(target, property, desc) || desc;
	}, desc);

	if (context && desc.initializer !== void 0) {
		desc.value = desc.initializer ? desc.initializer.call(context) : void 0;
		desc.initializer = undefined;
	}

	if (desc.initializer === void 0) {
		Object['define' + 'Property'](target, property, desc);
		desc = null;
	}

	return desc;
}

function _initializerWarningHelper(descriptor, context) {
	throw new Error('Decorating class property failed. Please ensure that transform-class-properties is enabled.');
}

var NaviStore = (_class = function () {
	function NaviStore() {
		_classCallCheck(this, NaviStore);

		_initDefineProp(this, '_openKeys', _descriptor, this);

		_initDefineProp(this, 'state', _descriptor2, this);
	}

	_createClass(NaviStore, [{
		key: 'setState',
		value: function setState(state) {
			this.state = state;
		}
	}, {
		key: 'setBreadcrumbTitle',
		value: function setBreadcrumbTitle(breadcrumbTitle) {
			this.state = _extends({}, this.state, { breadcrumbTitle: breadcrumbTitle });
		}
	}, {
		key: 'init',
		value: function init(menuArray, location) {
			var _this = this;

			this._location = location;
			this._menuArray = menuArray;

			this.disposer = (0, _mobx.autorun)(function () {
				var pathname = _this._location.pathname;

				var findMenuTree = function findMenuTree(menuArray, paths) {
					if (!menuArray) {
						return;
					}
					if (Array.isArray(menuArray) || (0, _mobx.isObservableArray)(menuArray)) {
						var _iteratorNormalCompletion = true;
						var _didIteratorError = false;
						var _iteratorError = undefined;

						try {
							for (var _iterator = menuArray[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
								var menu = _step.value;

								if (menu.path === pathname) {
									return paths;
								}
								var matched = findMenuTree(menu.children, paths.concat(menu.menuKey));
								if (matched) {
									return matched;
								}
							}
						} catch (err) {
							_didIteratorError = true;
							_iteratorError = err;
						} finally {
							try {
								if (!_iteratorNormalCompletion && _iterator.return) {
									_iterator.return();
								}
							} finally {
								if (_didIteratorError) {
									throw _iteratorError;
								}
							}
						}
					}
				};

				_this._openKeys = findMenuTree(menuArray, []);
			});

			return this;
		}
	}, {
		key: 'openKeys',
		get: function get() {
			return process.env.NODE_ENV !== 'production' ? (0, _mobx.toJS)(this._openKeys) : this._openKeys;
		},
		set: function set(openKeys) {
			this._openKeys = openKeys;
		}
	}, {
		key: 'selectedKeys',
		get: function get() {
			return [this.state.menuKey];
		}
	}]);

	return NaviStore;
}(), (_descriptor = _applyDecoratedDescriptor(_class.prototype, '_openKeys', [_mobx.observable], {
	enumerable: true,
	initializer: function initializer() {
		return [];
	}
}), _descriptor2 = _applyDecoratedDescriptor(_class.prototype, 'state', [_mobx.observable], {
	enumerable: true,
	initializer: function initializer() {
		return {
			menuKey: ''
		};
	}
}), _applyDecoratedDescriptor(_class.prototype, 'openKeys', [_mobx.computed], Object.getOwnPropertyDescriptor(_class.prototype, 'openKeys'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'selectedKeys', [_mobx.computed], Object.getOwnPropertyDescriptor(_class.prototype, 'selectedKeys'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'setState', [_mobx.action], Object.getOwnPropertyDescriptor(_class.prototype, 'setState'), _class.prototype), _applyDecoratedDescriptor(_class.prototype, 'setBreadcrumbTitle', [_mobx.action], Object.getOwnPropertyDescriptor(_class.prototype, 'setBreadcrumbTitle'), _class.prototype)), _class);
exports.default = new NaviStore();