'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = clearSortedInfo;

var _routerStore = require('../stores/routerStore');

var _routerStore2 = _interopRequireDefault(_routerStore);

var _fp = require('./fp');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function clearSortedInfo(appConfig) {
	var _appConfig$api = appConfig.api,
	    sortKey = _appConfig$api.sortKey,
	    orderKey = _appConfig$api.orderKey;
	var location = _routerStore2.default.location;

	location.query = (0, _fp.omit)(location.query, [sortKey, orderKey]);
}