'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint react/prop-types: 0 */

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var plainObjectToJsx = function plainObjectToJsx(json) {
	if ((0, _react.isValidElement)(json)) {
		return json;
	} else if (Array.isArray(json)) {
		return json.map(function (data, index) {
			return plainObjectToJsx(_extends({
				key: index
			}, data));
		});
	}

	var _json$component = json.component,
	    Comp = _json$component === undefined ? 'div' : _json$component,
	    props = _objectWithoutProperties(json, ['component']);

	if (props.children) {
		props.children = plainObjectToJsx(props.children);
	}
	return _react2.default.createElement(Comp, props);
};

exports.default = plainObjectToJsx;