'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = renderDate;

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DefaultDateFormat = 'YYYY-MM-DD';
var DefaultTimeFormat = 'HH:mm:ss';
var DefaultDateTimeFormat = 'YYYY-MM-DD HH:mm:ss';

function renderDate(date, formFormat, displayFormat) {
	var format = void 0;
	if (displayFormat) format = displayFormat;else if (formFormat === 'time') format = DefaultTimeFormat;else if (formFormat === 'dateTime') format = DefaultDateTimeFormat;else format = DefaultDateFormat;
	return (0, _moment2.default)(new Date(date)).format(format);
}