'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = renderProp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function renderProp(maybeElement, props) {
	if (!maybeElement) return null;
	if ((0, _react.isValidElement)(maybeElement)) return maybeElement;
	var Component = maybeElement;
	return _react2.default.createElement(Component, props);
}